
AD        ADd images                                        AD      
                                                           2/24/03

PURPOSE:  Adds two or more images or volumes together.  The sum is 
          placed in an output file. 

SEE ALSO: AS R  
          PA     
          AD S

USAGE:    AD

          .INPUT  FILE: PIC001
          [Enter the name of the first file to be added.  (Header
           positions from this file are transferred to output.)]

          .NEXT INPUT FILE: PIC002
          [Enter the name of the next file to be added. Can be
           same as first input file.]

          .OUTPUT FILE: PIC999
          [Enter the name of the output file.  Can be same as 
           either input file]

   The system continues:

          .NEXT INPUT FILE: PIC003
          [Enter the name of the third file to be added.]

   'AD' will continue in this manner until an asterisk ('*') is given 
    as the name of the next input file.

          
NOTES: 1.  'AD' only works for files with the same dimensions.  To
           add files of different dimensions, use PATCH (see 'PA').

       2.  For adding an entire file series, is is more practical
           to use operation 'AS R'. This will also produce a 
           variance map.

       3.  For use in a proceedure you can use the following
           set of operations:

         '<pre>'
         BL       ; create blank output file
         jnk999   ; output file name
         64 64    ; dimensions of output file (same as input)
         N        ; do not use average
         0.0      ; image value
         ;
         Do LB1 x11=1,4
            AD          ; add files operation 
            jnk{***x11} ; input file
            jnk999      ; second input file 
            jnk999      ; output file
            *           ; put asterick here 
         LB1
         '</pre>'

SUBROUTINES: ADD

CALLER:      UTIL2
