AP I      Alignment - Initalize Rings File  ||        AP I
                                                              8/28/03

PURPOSE:  Creates a "Circular Rings File" for use by 'AP MQ' or
         other 'AP' operations. 
         (This is usefull for distributed parallel runs and is
          usually not necessary for using either 'AP' except for when
          there are a large number of reference images).  
          '<br>'(See '<a href='"'../align_overview.html'"'>'align_overview.html'</a>' 
          for comparison of 'AP' operations.)

SEE ALSO:  AP MQ R
           AP MD

USAGE:    AP I

          .ENTER TEMPLATE FOR REFERENCE IMAGES: REF***
          [Give the template name of the existing file series of  
           reference images.]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME: SELECTREF
          [Enter numbers of reference image files. The file numbers can also
           be read from a selection document file where file numbers 
           are contained in the first register (not the keys).]

          .FIRST,LAST RING, & SKIP: 5,15,1
          [Only rings with radii in the range 5-15 will be analyzed. 
          If skip=0 or 1, then every ring between 5 and 15 will be taken;
          for skip=2, every second ring; etc.]

          .REFERENCE RINGS (SCRATCH) FILE: refer_rings
          [Give name for output file containing the Circular 
           reference Rings.
           This file is used by 'AP MQ R' or 'AP MD', etc.]

NOTE:   1.  See 'AP MQ R' and 'AP MD' for further details

SUBROUTINE: APMASTER, APRINGS, NORMAS, NORMASC, ALRQ_M, ALRQ_MS,
            CROSRNG_MS, CROSRMG_DS, CROSRNG_DS, FRNG, FRNGS, 
            APPLYWS, ALRQS, PARABLD, RINGWE

CALLER:     UTIL4

