AP MQ R   Alignment - multi-reference, shift & rot., use rings file  ||             AP MQ R
                                                                4/09/03

PURPOSE:  This sub-operation only differs from 'AP MQ' in that it uses
          a precalculated
          copy of the reference-rings which has been stored
          in a file. Use 'AP I' to create the precalculated copy of 
          the reference-rings.

SEE ALSO:  AP I
           AP MQ

USAGE:    AP MQ R

          .ENTER TEMPLATE FOR REFERENCE IMAGE SERIES: REF***
          [Give the template name of the existing file series of 
           reference images (typically projections).]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME: SELECTREF
          [Enter numbers of reference files. The file numbers can also
           be read from a selection document file where file numbers are contained in the
           first register (not the keys).]

          .TRANSLATION SEARCH RANGE, STEP SIZE: 6,2
          [The search for translation parameters will be restricted to
           +/- search range, performed every "step size" pixels.'<BR>'
           Restrictions:'<BR>'
           1. Search range + last ring <=NSAM/2-2'<BR>'
           2. Search range has to be divisible by step size.] 

          .FIRST AND LAST RING: 5,15
          [Only rings with radii in the range 5-15 will be analyzed.]

          .REFERENCE-RINGS FILE: REF001
          [Give name for reference-rings file. SPIDER will 
           read the  reference-rings data from this file (not from the 
           reference images themselves). More than one SPIDER run can 
           use the same reference-rings file. Use operation 'AP I' to
           create this file.
  
          .ENTER TEMPLATE FOR IMAGE SERIES TO BE ALIGNED: DAT***
          [Give the template name of the existing file series of 
          experimental images.  These images will be checked for 
          alignment versus the reference images.]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME:1-21
          [Enter numbers of experimental files. The file numbers can also
           be read from a selection document file where file numbers are contained in the
           first register (not the keys).]

          .DOCUMENT FILE NAME: PARM101
          [This is the only output produced by this program.
           It contains 6 columns for each aligned image:     '<BR>'

           1. Number of the most similar reference projection. '<BR>'
              When this number is negative, the most similar is the
              mirrored projection (see note 1).                '<BR>'

           2. Not-normalized correlation coefficient.          '<BR>'
              Can be used as a similarity measure.             '<BR>'

           3. Angle.                                          '<BR>'
              In-plane rotation angle determined.

           4. X-shift.                                         '<BR>'
              X translation determined.

           5. Y-shift.                                         '<BR>'
              Y translation determined.

           6. Experimental projection number.]                 '<BR>'


NOTE:   1.  See 'AP MQ' for all details

SUBROUTINE: APMASTER, MRQLI_PS, MRQLI_SS, NORMAS, NORMASC, ALRQ_M, ALRQ_MS,
            CROSRNG_MS, CROSRMG_DS, CROSRNG_DS, FRNG, FRNGS, 
            APPLYWS, ALRQS, PARABLD, RINGWE

CALLER:     UTIL4
