AP RA     Alignment - Reference-free rotational alignment ||  AP RA    
                                                               1/21/04

PURPOSE:   Reference-free rotational alignment.
           '<br>'(See '<a href='"'../align_overview.html'"'>'align_overview.html'</a>' 
            for comparison of 'AP' operations.)

SEE ALSO:  VO EA  
           VO M
           AP CA  
           AP MD  
           AP MQ  
           AP NQ 
           AP RD  
           AP RN 
           AP SA 
           AP SR  

USAGE:    AP RA

          .ENTER TEMPLATE FOR 2-D IMAGE SERIES: img****
          [Give the template name of the existing file series to be aligned.]

          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME:1-700 OR SELECT001
          [Enter file numbers or the name of the document file containing file
          numbers in the first column of registers (not keys).] 

          .FIRST AND LAST RING: 5,15
          [Only  rings with the radii in the range 5-15 (in pixel units)
           will be analyzed.]

          .SKIP: 1
          [If skip=0 or 1 then each ring between 5 and 15 will be taken;
           for skip=2 each second, and so on.]

          .FULL OR HALF: H
          [Full - full ring treated (real data); Half - half ring treated
           (autocorrelation function).]

         .DOCUMENT FILE: FALDOC
         [This is the only output produced by this program.
          It contains 4 columns:
          '<PRE>'
           1.File number.
            Real file number to deal with gaps in file series.

           2.Rotation angle. 
            Image has to be rotated +angle to produce average.

           3.Distance.
            Distance from the total  average. Can be used as a similarity
            measure.

           4.Group number.
            Always 1.0 to be in agreement with 'AP CA' and to be read 
            by 'AP SA'.]
          '</PRE>'
                                                          
NOTE:  1. Images do not have to have power-of-two dimensions.
          As this program is usually used together with shift
          alignment, please check manual chapter "AP SA" for 
          limitations.

       2. Please note that all the parameters produced by this program,
          (rotation and/or shift parameters), are given with
          the proper signs.  It means that to rotate and/or shift the images
          afterwards this parameters should be applied directly (without
          sign reversion).  To combine parameters given by repeated
          alignment the 'SA P' command has to be used. Only the angle signs used
          for 3-D reconstruction from tilted series have to be reversed.

       3. AN example can be found in APSA.MAN manual chapter.

       4. The command is used in the refal.sys procedure.

       5. Implemented by Paul Penczek

SUBROUTINE: FALB, ANG, ENER, ALPRBS, ALRQ, UPDTC, OUTRNG, CROSRNG, 
            FOURING, PRB1D, FFTR_D, FFTC_D

CALLER:     UTIL4

