
AS R      Average images - find & save variance, better    AS R      
                                                           05/17/02

PURPOSE:  Adds 2 or more files, computing several measures of 
          variance (per point, total, etc.).
          The sum and the variance images are stored in separate
          output files.  The command works for, 2D, 3D, real or complex data.

SEE ALSO: AS     (Average images - find & save variance, poorer)
          AS AD  (Average images - add to the existing average - find variance.)
          AS F   (Average images - find statistics & Q factor map)

USAGE:    AS R

          .INPUT FILE NAME TEMPLATE (E.G. PIC****): PIC***
          [Enter name of image series to be added. Astericks in the
           template will be replaced by numbers solicted next.]

          .ENTER SELECTION DOC. FILE NAME OR LIST OF FILE NUMBERS: 1-10,12,15-17     1-8
          [Enter numbers of files within the series to be added.  The
           file numbers can also be read from a selection document file
           where file numbers are contained in the first register
           (not the keys!).]

          .ALL, ODD-EVEN (A/O): O
          ['A' - all images will be added,
           'O' - two sub-averages will be calculated: 
           one for odd-numbered images and one for even numbered 
           images.  For 'O' option the next two questions will
           appear twice.]

          .AVERAGE FILE: AVG001
          [Enter name of output file receiving average.]

          .VARIANCE FILE: VAR001
          [Enter name of output file receiving variance map.]

            The following values are then printed out:
           '<PRE>'
           Number of images
           Number of elements
           Total variance             Total std. deviation
           Variance. per point        Std. deviation per point
           Average offset = 0.0
           Variance of average image
           '</PRE>'

NOTES:    This version of 'AS' does not subtract the average from
          each image during the calculation of global average
          and variance.  Thus, the statistics calculated are
          'Real' and the average offset is always zero.  Command 'AS'
          results in the variance estimator which is usually
          far 'too optimistic' - the variance obtained is too small
          and cannot be used for statistical tests.
    
          2.  Merged with operation "AS DC" July 1999
     
SUBROUTINE: ADDS

CALLER:     UTIL2
