
CA SR     Correspondence Analysis - Reconstitute images        CA SR
                                                               5/18/04
          
PURPOSE:  Reconstitute approximation of original images using 
          selected factors.  Uses either
          CORAN or PCA reconstitution as appropriate.

SEE ALSO: CA S           
          CA SM  
          CA SRD 
          CA SRI 
          CA SRA 
    
USAGE:    CA SR

          .CORAN/PCA FILE PREFIX: coran_t_
          [Enter the prefix for the files created in 'CA S'.]

          .ENTER FILE NUMBERS TO BE USED (e.g. 1-8,12-22,55): 1-80,90-95
          [Numbers are consecutive, and refer to the sequence of
          files specified in 'CA S'. ]
          
      If the source 'CA S' run utilized PCA, the following question will appear:
          .SUBTRACT AVERAGE IN PCA RECONSTRUCTION? (N/Y): N

          .ENTER FACTORS TO BE USED: 2-4
          [Enter the factors to be used for image reconstitution.
          Note that the numbers have to be less that the number of
          images and less or equal to the number used in 'CA S'.]
          
          .OUTPUT FILE TEMPLATE: SRI_****
          [Enter the prefix for the files created here.]

NOTES: 1. For detailed explanation of concepts used for CORAN see:
          J.P. Bretaudiere and J. Frank (1986) J. Microscopy 144:1-14. 
          Importance images are defined in J. Frank and M. van Heel
          (1982) J. Mol. Biol. 161:133-137.

SUBROUTINES: JPMSK2

CALLER:      UTIL1
