
CA SRA    Correspondence Analysis - Arbitrary image reconstitution  CA SRA
                                                               7/07/04
          
PURPOSE:  Reconstitute complete images using selected factors and
          arbitrary coordinates.  Uses either CORAN or PCA 
          reconstitution as appropriate.

SEE ALSO: CA S           
          CA SM  
          CA SRD 
          CA SRI 
    
USAGE:    CA SRA

          .CORAN/PCA FILE PREFIX: coran_t_
          [Enter the prefix for the files created in 'CA S'.]

       If the source 'CA S' run utilized PCA, the following question will appear:
          .SUBTRACT AVERAGE IN PCA RECONSTRUCTION? (N/Y): N

          .ENTER FACTORS TO BE USED: 2-4
          [Enter the factors to be used for image reconstitution.
          Note that the numbers have to be less that the number of
          images and less or equal to the number used in 'CA S'.]
          
          .ENTER COORDINATES FOR EACH FACTOR SELECTED: 0.0013, -0.0011,
          0.0004
          [Enter coordinates related to the scales of the factorial axes
          in the Results file from 'CA S' or from factorial maps produced
          by 'CA SM'.]

          .OUTPUT FILE: SRI014
          [Enter name for the the output file created here.]

NOTES:  1. For a detailed explanation of concepts used for CORAN here see:
          J.P. Bretaudiere and J. Frank (1986) J. Microscopy 144:1-14. 
          Importance images are defined in J. Frank and M. van Heel
          (1982) J. Mol. Biol. 161:133-137.

SUBROUTINES: JPMSK2

CALLER:      UTIL1
