
CA SRE    Correspondence Analysis - Reconstitution of eigenimages CA SRE
                                                               7/05/04
          
PURPOSE:  Reconstitute eigenimages using selected factors.  Uses either
          CORAN or PCA reconstitution as appropriate.

SEE ALSO: CA S           
          CA SM  
          CA SR 
          CA SRA
          CA SRD 
          CA SRI 
    
USAGE:    CA SRE

          .CORAN/PCA FILE PREFIX: coran_t_
          [Enter the prefix for the files created in 'CA S'.]

       If the source 'CA S' run utilized PCA, the following question will appear:
          .SUBTRACT AVERAGE IN PCA RECONSTRUCTION? (N/Y): N

          .ENTER FACTORS TO BE USED: 2-4
          [Enter the factors to be used for image reconstitution.
          Note that the numbers have to be less or equal to the 
          number used in 'CA S'.]
          
          .OUTPUT FILE: SRI014
          [Enter name for the the output file created here.]

NOTES: 1.  The purpose of this operation is to create eigenimages - 
          images corresponding to chosen eigenvectors.

       2. For a detailed explanation of concepts used for CORAN here see:
          J.P. Bretaudiere and J. Frank (1986) J. Microscopy 144:1-14. 
          Importance images are defined in J. Frank and M. van Heel
          (1982) J. Mol. Biol. 161:133-137.

SUBROUTINES: JPMSK2

CALLER:      UTIL1
