
CA SRI   Correspondence Analysis - Reconstitute Importance images   CA SRI
                                                               5/18/04
          
PURPOSE:   Compute importance image for a selected factor from CORAN.

SEE ALSO: CA S           
          CA SM  
          CA SRD 
    
USAGE:    CA SRI

          .CORAN FILE PREFIX: coran_t_
          [Enter the prefix for the files created in 'CA S'.]

          .ENTER FILE NUMBERS TO BE USED (EG. 1-8,12-22,55): 1-80,90-95
          [Numbers are consecutive, and refer to the sequence of
          files specified in 'CA S'. ]
          
          .ENTER FACTORS TO BE USED: 2-4
          [Enter the factors to be used for image reconstitution.
          Note that the numbers have to be less that the number of
          images and less or equal to the number used in 'CA S'.]
          
         .OUTPUT FILE TEMPLATE: SRI_****
          [Enter the prefix for the files created here.]

NOTES: 1. For a detailed explanation of concepts used for CORAN  see:
          J.P. Bretaudiere and J. Frank (1986) J. Microscopy 144:1-14. 
          Importance images are defined in J. Frank and M. van Heel
          (1982) J. Mol. Biol. 161:133-137.

       2. The "importance image" obtained by using 'CA SRI' has both 
          positive and negative values.  To obtain the more familiar 
          pair of complementary positive-definite importance images
          used in the earlier literature (e.g. Frank et al., 1982), 
          follow this operation by 'TH' (threshold), specifying '0' 
          as the lower or upper threshold, respectively.  
          Then invert contrast of the thresholded image.

SUBROUTINES: JPMSK2

CALLER:      UTIL1
