
CE G      Contrast Enhancement - Gradient                       CE G 
                                                                10/15/02

PURPOSE:  Creates gradient images/volumes.  May be useful for 
          texture based segmentation. 

SEE ALSO: CE OR

USAGE:    CE G

          or: CE GX '<BR>'
          or: CE GY '<BR>'
          or: CE GZ '<BR>'
      
          .INPUT FILE: VOL001
          [Enter the name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter  name for output file.]

NOTES: 1.  Image/volume is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary.

       2.  Gradient is sum of difference of intensity between 8 
           neighboring pixels and the central pixel under a kernal 
           weighted by inverse distance from the central pixel.

       3.  The gradient magnitude is obtained with 'CE G' whereas
           'CE GX' gives magnitude of the 'X' component of the
           gradient vector, etc.

SUBROUTINES: FILTER

CALLER:      UTIL2
