
CE HURST    Contrast Enhancement - Hurst                   CE HURST 
                                                            5/09/01

PURPOSE:  Segmentation of image/volume using a Hurst operator.  Useful 
          for texture segmentation. 

SEE ALSO: CE VAR
          CE

USAGE:    CE HURST

          .INPUT FILE: VOL001
          [Enter the name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter  name for output file.]
       
          .RADIUS: 3
          [Radius of the neighborhood around a pixel. Must be an
           odd number.]

NOTES: 1.  Image/volume is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary.

       2.  Uses slope of a plot of the log of the brightness range 
           of pixels versus log of their distance from central pixel.
              
       3.  Reference:  John C. Russ, "The Image Processing Handbook",
           CRC Press, Inc.  (2000)

SUBROUTINES: FILTER

CALLER:      UTIL2
