
CE LAP    Contrast Enhancement - Laplacian                   CE LAP 
                                                            5/03/01

PURPOSE:  Laplacian convolution on image/volume.  Useful for edge 
          detection. 

SEE ALSO: CE VAR
          CE
          ED

USAGE:    CE LAP

          .INPUT FILE: VOL001
          [Enter name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter name for output file.]
       
          .NEIGHBORHOOD X & Y: 3, 3
          [Length of the neighborhood around a pixel. Must be an
           odd number.]

NOTES: 1.  Image/volume is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary.

       2.  Laplacian 3x3 kernal in 2D is'<BR>'
           '<PRE>'
           -1  -1  -1
           -1   8  -1
           -1  -1  -1
           '</PRE>'

       3.  Laplacian kernal in 3D is a 3D extension of the 2D kernal.


SUBROUTINES: FILTER

CALLER:      UTIL2
