
CE OR    Contrast Enhancement - Local Orientation          CE OR 
                                                           1/28/03

PURPOSE:  Contrast 'enhancement' using local orientation
          on image/volume. 

SEE ALSO: CE G
          CE SOBEL

USAGE:    CE OR

          .INPUT FILE: VOL001
          [Enter name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter name for output file.  This file has the local 
           orientation over a range of 0...180 degrees.  This 
           value is circularly closed so that 0 degrees is adjacent
           to 180 degrees!]
       
          .CONFIDENCE OUTPUT FILE: VOL003
          [Enter name for second output file. This is the confidence or
           certainty of the local orientation.]
       
          .SIGMA: 2.0
          [Amount of smoothing of  values (with a Gaussian) before 
          finding orientation.]

          .LOCAL OR RADIAL (L/R): L
          [Radial orientation reports the orientation relative
           to a vector from the center of the image to the current
           location.]

NOTES: 1.  This operation works in 2D, slice-by-slice on a volume.

       2.  Discussed in  JAHNE (Practical Handbook on Image 
           Processing for Scientific Applications) (1997) pg 431.

SUBROUTINES: ORIENT

CALLER:      UTIL2
