
CE PREWITT    Contrast Enhancement - Prewitt             CE PREWITT
                                                            5/03/01

PURPOSE:  Prewitt edge detection on image/volume.  Useful for edge 
          detection. 

SEE ALSO: CE SOBEL
          CE LAP

USAGE:    CE PREWITT

          .INPUT FILE: VOL001
          [Enter the name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter  name for output file.]
       
NOTES: 1.  Image/volume is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary. 
           Neighborhood is always 3x3 in this implementation.

       2.  Prewitt 3x3 kernals in 2D are'<BR>'
           '<PRE>'
            1  0 -1          -1 -1 -1      
            1  0 -1           0  0  0
            1  0 -1           1  1  1
           '</PRE>'

       3.  Kernal in 3D is a 3D extension of the 2D kernal.

       4.  The two kernals are both applied to the original data
           and the current pixel is replaced by the maximum
           returned by either of the two applications.

SUBROUTINES: FILTER

CALLER:      UTIL2
