
CE RAN    Contrast Enhancement - Range                       CE RAN 
                                                            5/03/01

PURPOSE:  Creates range image/volume.  Useful for texture
          based segmentation. 

SEE ALSO: CE MAX
          CE MIN
          CE VAR
          CE

USAGE:    CE RAN

          .INPUT FILE: VOL001
          [Enter the name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter  name for output file.]

          .NEIGHBORHOOD X & Y: 3, 3
          [Length of the neighborhood around a pixel. (Should be an
           odd number).]
        
NOTES: 1.  Image/volume is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary.

       2.  Range is the maximum difference between any pixel 
           in the the neighborhood and the central pixel under a
           kernal.  The neighborhood is rectilinear and all pixels
           are weighted evenly.

SUBROUTINES: FILTER

CALLER:      UTIL2
