
CE SOBEL    Contrast Enhancement - Sobel                   CE SOBEL
                                                            5/03/01

PURPOSE:  Sobel edge detection on image/volume.  Useful for edge 
          detection. 

SEE ALSO: CE PREWITT
          CE LAP

USAGE:    CE SOBEL

          .INPUT FILE: VOL001
          [Enter the name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter  name for output file.]
       
NOTES: 1.  Image/volume is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary.

       2.  Sobel 3x3 kernals in 2D are'<BR>'
           '<PRE>'
           -1  0  1           1  2  1      
           -2  0  2           0  0  0
           -1  0  1          -1 -2 -1
           '</PRE>'

       3.  Kernal in 3D is a 3D extension of the 2D kernal.

       4.  The two kernals are both applied to the original data
           and the current pixel is replaced by the maximum
           returned by either of the two applications.

SUBROUTINES: FILTER

CALLER:      UTIL2
