
CE VS    Contrast Enhancement - Variance smoothing                CE VS 
                                                                9/30/04

PURPOSE:  Creates variance smoothed image/volume.  May be useful for 
          removing outlying values.  Works on images and volumes.

SEE ALSO: CE VAR

USAGE:    CE VS
             <or>
          CE VS X11

          .INPUT FILE: VOL001
          [Enter the name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter name for output file.]

          .NEIGHBORHOOD  X, Y, & Z:  3  3  3
          [Length of the neighborhood around a pixel. Must be 
           odd numbers.]
        
NOTES: 1.  Image/volume is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary.

       2.  'Variance' is (1/N-1) * summation (over the neighborhood) of
           the square of the difference between the pixel's intensity 
           and the average intensity of pixels in the neighborhood.  
           (Where N  is the number of pixels in the the neighborhood.)
           When the difference between the pixel intensity and the
           local variance is greater than the local variance and the 
           local variance is greater than the image variance the pixel 
           intensity is set to the local median.

       3.  Optional output register (if given on operation line) will
           receive number of altered pixels/voxels.

SUBROUTINES: FILTER

CALLER:      UTIL2
