
CO        COntour into Postscript file                      CO 
                                                        3/19/01

PURPOSE:  Reads SPIDER image file, extracts equi-intensity contours, 
          and transfers contours into a Postscript output file.

USAGE:    CO 

          .INPUT FILE: PIC000
          [Name of input image / volume.]

        Lists the maximum and minimum values in the image / volume.

          .STARTING AND ENDING CONTOUR LEVELS: 0.1  10.0
          [Contours are drawn between these values.]

          .CONTOUR LEVEL INCREMENT (USE INCR. > END FOR ONE LEVEL): 1000.0
          [Separation between contour levels.]

       If input file is a volume following question appears:
          .OUTPUT FILE OUTPUT FILE TEMPLATE (E.G. CNT***):  CNT***
          [Template for new Postscript output files.]

       If input file is not a volume following question appears:
          .OUTPUT FILE:  CNT000
          [Name for new Postscript output file.]

        As each contour is transferred to the plot file the contour
        level and the length of the contour are listed.

          .PRINT POSTSRIPT FILE NOW: (Y/N): N
          [A 'Y' answer will immediately print the plot. (May not
          work except at Albany.)]
        
NOTES:    1.  Contours will be thinned to < 600 points if possible.

          2.  If input is a volume a separate output file is created 
              for each slice of the volume.

          3.  The box in the output has dimensions 1...NSAM x 1.. NROW.
              Watch this if you try to calculate a scale bar!

SUBROUTINES: CNINT3, CNTUR, CNSCAN, CNTRCE, CNSTUFF, CNCALC

CALLER:      PLOT1



