
CP        CoPy                                              CP
                                                            3/03/03

PURPOSE:  Copies one SPIDER file into another file.  If the output 
          file does not exist, it will be created.  Otherwise, it will
          be overwritten by the contents of the input file.  The input  
          and/or output file can be a
	  '<A HREF='"'../user_doc.html#file_stack'"'>'image stack file'</A>'. 

SEE ALSO: 
#include "cp_include.also"

USAGE:    CP

          .INPUT FILE: PIC001 or STK001@0030
          [Enter the name of the file to be copied.  If the input
          file is a standard SPIDER image file, the input file will be
          copied into a new SPIDER image file or into the specified
          image number of a SPIDER image stack.  If the input file is
          a stacked image (e.g. STK001@30),  then the specified image
          (30) from the stack file (STK001) will be copied into the
          output file.  The input file can be a whole stack (e.g.
          STK001@) in which case the output file must also be a whole
          stack (e.g. inline stack: _1@).

          .OUTPUT FILE: COP001 or STK001@003
          [Enter the name for the file that will receive the copy.
          If the output file is an image in an image stack (e.g.
          STK001@003), SPIDER will copy the input file into the image
          stack file with specified name (STK001) at the specified
          (third) position.  If the stack file STK001 doesn't exist,
          SPIDER will create a new stack file with a stack file header
          and the input image at the 3rd position.  Unused images will
          be placed in front of this image (001 and 002).  If the
          output is a non-existing inline stack, SPIDER will ask the
          following question when creating the output stack file:

          .NUMBER OF IMAGES ALLOWED IN STACK: 200

SUBROUTINES: COPYD, OPFILEC, OPENFIL

CALLER:     COPY1

