
CP FROM ASCII   CoPy ASCII text file to SPIDER format     CP FROM ASCII
                                                                7/13/00

PURPOSE:  Copies an ASCII text file into an SPIDER image file.
          Either formatted or free-format input can be used for image
          values.  

SEE ALSO: 
#include "cp_include.also"

USAGE:    CP FROM ASCII

          .EDITABLE IMAGE INPUT FILE:  PIC001
          [Enter name of text file to be copied.]

          .ARE NSAM, NROW AND NSLICE IN FIRST LINE OF FILE? N
          [If answer is "Y", then the first line of the file must 
          contain NSAM, NROW and NSLICE.  Otherwise, the following 
          two questions will appear:

          .ENTER NSAM, NROW, & NSLICE: 32 32 1

          .ENTER FORMAT DESCRIPTION (OR <CR> FOR *): (6X,1X,1G12.5)
          [Enter format for each line of the image data from the text
          file. Format must start and end with ()'s.  The sample format
          used here will read image values from the first register in a 
          document file, but you must remove any comments from the
          document file.]

          .OUTPUT FILE:  PIC002
          [Enter name of SPIDER output file.]

NOTE:       
          Free-format input (*) can be  used so that any normal number 
          representation is acceptable for the image values, e.g.  '<BR>'
          3  5.1  -6.889  -1.089E-01 '<BR>'
          The image lines in the input file contain the image values 
          separated by blanks or commas.

SUBROUTINE: COPYF

CALLER:     COPY1

