
CP FROM CCP4   CoPy CCP4 format File to SPIDER File       CP FROM CCP4    
                                                            3/4/03

PURPOSE:  Copies CCP4 format file to a SPIDER format image file.

SEE ALSO: 
#include "cp_include.also"

USAGE:    CP FROM CCP4
              
          .CCP4 INPUT FILE: CCP4IN
          [Enter the name of the CCP4 file you want to copy.]

          .OUTPUT FILE: SPI000 
          [Enter the name of the SPIDER output file.]
  
          .FLIP BYTE ORDERING? (Y/N): N
          [Some putative CCP4 format files have byte ordering
           that is iconsistent with header, thus I have added
           flip byte order question to fix these incorrect files.]

NOTES:    1. Only works for CCP4 modes 0, 1, & 2.  Does not copy
             CCP4 Fourier format files.

          2. Only the size and machine stamp from the CCP4 file 
             header is utilized. Other CCP4 header info is discarded.
          
SUBROUTINE: COPYCCP4, GETHEDCCP4, RAWTOSPIDER

CALLER:     COPY1
