
CP FROM EMI   CoPy EMISPEC format File to SPIDER File   CP FROM EMI    
                                                            3/5/02

PURPOSE:  Copies some EMISPEC format files to a SPIDER format image file.

SEE ALSO: 
#include "cp_include.also"

USAGE:    CP FROM EMI
              
          .EMISPEC INPUT FILE NAME: CCP4IN
          [Enter the name of the EMISPEC file you want to copy.]

          .OUTPUT FILE: SPI000 
          [Enter the name of the SPIDER output file.]
  
NOTES:      1. Only works for EMISPEC 1026 x 1026 real mode files.

            2. Only the size from the CCP4 file header is utilized.
            Other CCP4 header info is discarded.

            3. This routine has not been tested for converting
            between other sizes.  It may not work.
          
SUBROUTINE: COPYEMI,  RAWTOSPIDER

CALLER:     COPY1
