
CP FROM PDB   Copy PDB file to SPIDER format 	          CP FROM PDB               
						          03/21/02

PURPOSE: Copy a PDB image data file to SPIDER volume.

SEE ALSO: 
#include "cp_include.also"

USAGE:    CP FROM PDB

          .PDB INPUT FILE: TRNA03.PDB
          [Enter the name of PDB file with extension.]

          .VOXEL SIZE (A): 2.2
          [Enter the voxel size of SPIDER file in angstroms.]

          .CENTER (Y/N): Y
          [Do you want the PDB file to be centered within the SPIDER 
           volume?  If No, the PDB file will be placed in the "absolute"
           location, as defined by atomic coordinates given.  If Yes,
           the average X, Y, Z coordinates will coincide with the
           center of SPIDER volume ( INT(N/2)+1).]

          .ATOMS OR TEMPERATURE (A/T): A
          [Do you want SPIDER volume to caontain an Atoms/Occupancy
           value or a 'Temperature' value?.]

          .VOLUME NSAM, NROW, & NSLICE: 75, 9, 85
          [Enter size of the SPIDER file (number of voxels in each
           dimension).]

          .SPIDER OUTPUT FILE: TRNA03
          [Enter the file that will contain the volume.]

NOTES:   1.  The program reads atomic coordinates of a structure 
         from a PDB file, then creates a  SPIDER volume by adding the 
         Z values times the occupancy factor in each resolution cell.  
         The density is proportional to the Coulomb potential.

         2.  SPIDER coordiate system is different from that used in
         PDB files, thus PDB X coordinate corresponds to NROW,
         PDB Y to NSAM, and PDB Z to -NSLICE.

SUBROUTINE: READPDB

CALLER:     COPY1

