
DI        Dilate a binary image/volume                               DI      
                                                                7/15/03

PURPOSE:  Dilates (enlarges) object in a binary input image/volume. 

SEE ALSO: EC CL
          ER
          DI NF

USAGE:    DI

          .INPUT  FILE: VOL001
          [Enter the name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter  name for output file.]

          .BOX OR CROSS NEIGHBORHOOD (B/C): C
          [Shape of neighborhood.  Box is a square/cube centered on each
           voxel, cross is a 2/3-dimensional cross centered on each
           voxel.]

          .LENGTH OF NEIGHBORHOOD: 3
          [Length of the total neighborhood around a voxel. (Should be 
           an odd number > 1).]

          .DILATE IF NUMBER OF OCCUPIED NEIGHBORS IS >= TO: 1
          [Voxel will be set to 1.0 if it has at least this
           many occupied neighbors.  Fine tuning of this parameter
           will affect dilation of spikes from an object, etc.]

      
NOTES: 1.  Requires a "binary" input image/volume with voxels
           having either zero or one. Voxels having a density > 0.0
           are considered occupied.  Dilated areas are set to
           value of one.

       2.  Image/volume is "circularly closed" so that voxels on 
           boundaries have a neighbor on opposite boundary.

       3.  A dilation only increses the size by a shell of 1 
           pixel/voxel. This operation can be applied in series
           to enlarge an object by a shell > 1 pixel/voxel.


SUBROUTINES: DILATION

CALLER:      UTIL3
