
DOC SORT  Sort Document file                                   DOC SORT
                                                                12/2/99

PURPOSE:  Sorts a document file according to values found in a
          chosen column. 

SEE ALSO:  SD           (Save data in document file)
           DOC CREATE   (Create a new document file) 
           DOC MERGE    (Merge two document files) 
           DOC MIRROR   (Create 2nd  file that lacks values in first) 
           DOC REN      (Renumber document file) 
           DOC SHUFFLE  (Shuffle document file) 
           DOC SUBTRACT (Merge values from 1'st file not found in 2'nd file) 
	      
USAGE:    DOC SORT

          .INPUT DOCUMENT FILE: DOC001
          [Enter name of input document file.]
 
          .OUTPUT DOCUMENT FILE: DOC002
          [Enter name of output document file.]

          .COLUMN TO BE SORTED BY (0 IS KEY): 1
          [Enter column number according to which the file will be
          sorted.]

          .COMPRESS & RENUMBER KEYS? (Y/N)
          [If the answer is 'Y' then keys are renumbered consecutively
           beginning with key 1.  If answer is 'N' original keys are
           kept and they may not be consecutive.  If answer is 'N' and
           the file is sorted by a column other than the key column (0) 
           the keys may not be ordered.]

NOTES:    1. This operation duplicates the capability previously found in
          operation 'AT IT'.

          2.  The data stored under a duplicate key is lost.  If you want to
          keep data stored under duplicate keys use "DOC RENUMBER' first.

SUBROUTINES: DOCS1, OPENDOC, LUNDOC, SORT 

CALLER:      DRIV1
