
ER SK     Erode a binary image to make skeleton                   ER SK      
                                                                4/20/01

PURPOSE:  Erodes object in an input image until a "skeleton" is
          arrived at.  Uses four-fold connectivity inside a cross
          neighborhood. 

SEE ALSO: ER
          DI

USAGE:    ER SK

          .INPUT  FILE: IMG001
          [Enter the name of the input file.]

          .OUTPUT FILE: IMG002
          [Enter  name for output file.]

NOTES: 1.  Requires a "binary" input image  with pixels
           having either zero or one.  Eroded areas are set to
           value of zero.

       2.  Image  is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary.

       3.  Does NOT work on volumes.

SUBROUTINES: SKELETON

CALLER:      UTIL3
