
FP        Fourier interPolation ||                            FP      
                                                            10/10/00

PURPOSE:  
          Takes input image/volume of any dimension and interpolated 
          image/volume can be of any dimension.  Creates enlarged 
          image/volume using zero padding in Fourier Space.  

SEE ALSO:  IP    (Interpolation, 2D & 3D)
           IP T  (Interpolation, triangular)

USAGE:    FP

          .INPUT FILE: H_PIC001
          [Enter name of file containing input picture.]

          .OUTPUT FILE: H_IMG022 
          [Enter name of file where output picture is to
           be kept.]
            
          .INTERPOLATED DIMENSIONS (NSAM,NROW): 72, 48
          [Enter interpolated X & Y dimensions of the output image]

       For 3D input image:
          .INTERPOLATED DIMENSION (NSLICE): 50
          [Enter interpolated Z dimension of the output image] 

NOTES:    1. In the example above the input volume will be interpolated
          to an output volume of dimensions (72,48,50).

          2. Interpolation is exact in a sense that the total energy of 
          an image is preserved. Note that the interpolation is not 
          exact on the old grid !

SUBROUTINES: FOUR1A_FP, FINT, FINT3

CALLER:     FOUR1
