
FR F      File Read, from File                                FR F     
                                                            6/13/02

PURPOSE:  Associates a string value with an symbolic parameter.
	  Reads both label and value from a text document file.  'FR F'
	  differs from 'FR' and 'FR L' in that the symbolic parameters
	  are 'global' and are accessible from all SPIDER procedures in
	  of the following SPIDER run.

SEE ALSO: FR
          FR G
          FR L

USAGE:    FR F   

          .ENTER TEXT DOCUMENT FILE:  txtdoc
          [Text document file containing tuples of symbolic 
           parameters and their asscoiated values.]

          1. Example of Text document file contents.  '<BR>'
 
          '<PRE>'  
          <angles_file> angles001
          <projections_file> proj{***x34}
          <magnification>25001
 
          '</PRE>'  

NOTES:    1. This operation is useful when writing procedures which
             need the same input values or when creating parallel
             SPIDER runs.

          2. Register substitutions occur when the value is
             used not at time of input.

SUBROUTINE: DRIV1, SYMPAR, SETSYMPAR, SUBSYMPAR, PARSESYMPAR

CALLER:     DRIV1

