
FS M      Find Statistics - within Mask                       FS M    
                                                            3/26/02

PURPOSE:  To compute and print out the values of the statistical
          parameters of an image within an area defined by a mask.

SEE ALSO:  FS  (Find statistics - whole image)

USAGE:    FS M, X11,X12,X13,X14
          [FS M takes up to 4 optional register parameters. On completion
          of the operation,'<BR>'
          the first register contains the maximum value,'<BR>'
          the second register contains the minimum,'<BR>'
          the third register contains the average,'<BR>'
          the fourth register contains the standard deviation.] 

          .INPUT FILE: PIC001
          [Enter name of file to be analyzed.]

          .MASK FILE: MSK003
          [Enter name of file containing mask.]

NOTES:    The values of maximum and minimum density, average, and
          standard deviation are computed for those pixels only
          where the mask has values larger than 0.5.
          Picture can be 2D as well as 3D.
          Mask file has to have exactly the same dimensions as
          input file.

SUBROUTINE: NORMM

CALLER:     UTIL1
