
GP        Get Pixel value                                       GP
                                                           09/08/03

PURPOSE:  Gets pixel value from specified location in image/volume.


SEE ALSO: RP       
          LI       
          LI T    
          LI D
          PP     

USAGE:    GP X21

          .INPUT FILE: PIC001
          [Enter name of image/volume to be examined.]

       If the input file is a 2D image the following question will appear:

          .ROW, COLUMN: 21,56
          [Enter X and Y coordinates of the pixel to be retrieved.]

       If the input file is a 3D volume the following question will appear:

          .ROW, COLUMN, & SLICE: 21,56,32
          [Enter X, Y & Z coordinates of the pixel to be retrieved.]

NOTES:    1. The pixel value will be printed and optionally stored in 
             any register specified on the operation line.

          2. This operation has also been optimized for use with inline files.

SUBROUTINES: GPRP, OPENINLN

CALLER:      UTIL2
