HI D      HIstogram - output in Document file               HI D
                                                            8/10/98

PURPOSE:  Computes the histogram of an image and puts the histogram in
          user specified document file.

SEE ALSO:  HI    (histogram - output in results file)
           HI R  (histogram - output in results file, specified range)
           HI T  (histogram - output on terminal)
           HI TR (histogram - output on terminal, specified range)
           HI DR (histogram - output in document file, specified range) 
           HI M  (histogram - masked area)

USAGE:    HI D

          .INPUT FILE: PIC027
          [Enter the name of the file containing the image.]

          .DOCUMENT FILE: DOC001
          [Enter name of output document file]

NOTES:    A 128 bin histogram of PIC027 will be computed and put
          into the RESULTS file.  The lower boundary of each bin
          and number of pixels the bins will be saved in the document
          file.  The following information will be printed out at the
          user's terminal:

          '<PRE>'
          FILE RANGE:                     .........           
          HISTOGRAM RANGE:                .........           
          FILE PIXELS:                    HIST. PIXELS:       
          NO. OF BINS:                    BIN SIZE:      
          HIST. MEAN:                     HIST. MODE:       
          HIST. S.D.:             
          '</PRE>'

       2. The histogram is no longer permanently kept in
          the picture label.  

SUBROUTINE: HIST, SAVD

CALLER:     UTIL1
