
HI R      HIstogram - output in results file, specified range.     HI R
                                                                8/10/98

PURPOSE:  Computes 128 bin histogram of image for a specified range
          of densities and prints it in RESULTS file.

SEE ALSO:  HI    (histogram - output in results file)
           HI T  (histogram - output on terminal)
           HI TR (histogram - output on terminal, specified range)
           HI D  (histogram - output in document file)
           HI DR (histogram - output in document file, specified range) 
           HI M  (histogram - masked area)

USAGE:    HI R

          .INPUT FILE: PIC027
          [Enter the name of the file containing the image.]

          .HISTOGRAM RANGE MIN,MAX:0.1,1.2
          [Only original pixel values within this range will
           be included in the histogram.]
 
NOTES:    The 128 bin histogram of PIC027 will be computed and put
          into the RESULTS file.  The following information will be
          printed out at the user's terminal:               
       
          '<PRE>'
          FILE RANGE:                     .........           
          HISTOGRAM RANGE:                .........           
          FILE PIXELS:                    HIST. PIXELS:       
          NO. OF BINS:                    BIN SIZE:      
          HIST. MEAN:                     HIST. MODE:       
          HIST. S.D.:             
          '</PRE>'


SUBROUTINE: HIST, GRAPHS

CALLER:     UTIL1
