
HI TR      HIstogram - output on Terminal, specified range    HI TR
                                                              6/19/00

PURPOSE:  Computes and prints out the histogram of an image (or volume)
          for a specified range of densities on ordinary terminal.

SEE ALSO:  HI    (histogram - output in results file)
           HI R  (histogram - output in results file, specified range)
           HI T  (histogram - output on terminal)
           HI D  (histogram - output in document file)
           HI DR (histogram - output in document file, specified range) 
           HI M  (histogram - masked area)

USAGE:    HI TR

          .INPUT FILE: PIC027
          [Enter the name of the file containing the image.]

          .HISTOGRAM RANGE MIN, MAX: 0.1,1.2
          [Only original pixel values within this range will
           be included in the histogram.]
      
NOTES:    The 128 bin histogram of the input file will be computed and 
          displayed on the terminal.  The following information
          will be printed out at the user's terminal:      
       
          '<PRE>'
          FILE RANGE:                     .........           
          HISTOGRAM RANGE:                .........           
          FILE PIXELS:                    HIST. PIXELS:       
          NO. OF BINS:                    BIN SIZE:      
          HIST. MEAN:                     HIST. MODE:       
          HIST. S.D.:             
          '</PRE>'

SUBROUTINE: HIST, GRAPHS

CALLER:     UTIL1
