
IQ SYNC   Wait until a file exists                           IQ SYNC 
                                                             8/30/00

PURPOSE:  To wait until a file exists.  A primitive method of
          synchronizing different SPIDER runs.

SEE ALSO: IQ GONE

USAGE:    IQ SYNC

          or: IQ SYNC X11 '<BR>'

          .WAIT FOR EXISTENCE OF FILE: PIC001
          [Enter name of file which you want to wait for.  The file may be a non-SPIDER file,
          a SPIDER image file, an image in a SPIDER image stack,
          an inline SPIDER "file", an image in an inline SPIDER
          image stack "file", or any other file.  If the file does not 
          exist, the system will query existence until it
          exists or till the maximum wait time has been exceeded.  

         .DELAY INTERVAL AND MAXIMUM WAIT: 1,360000
         [Specify the seconds for delay between queries and the 
         maximum overall wait time.  The default values are 1 second 
         delay between queries for a maximum wait of 9999999 seconds.

NOTES:   1. Optional register receives the total wait time. 

         2. Implemented by: ArDean Leith

SUBROUTINE: INQUIRESYNC, INQUIREIF1

CALLER:     UTIL4
