
MA Y      MAsk - in Y direction                          MA Y
                                                         5/27/99

PURPOSE:  Masks a specified image in X direction.

SEE ALSO:  MA    (MAsk - using circular radii)
           MA L  (Mask - a line across image)
           MA X  (Mask - in X direction)
           MA Z  (Mask - in Z direction)
           MM    (Mask multiplication)

USAGE:    MA Y

          .INPUT FILE: H_PIC001
          [Enter the name of the file to be masked.]

          .OUTPUT FILE: H_IMG032
          [Enter the name of the output file.]

          .OUTER & INNER RADII: 12.0
          [Enter the radius of the mask circle, in pixels.]

          .(D)isk, (C)osine, (G)aussian edge, or (T)rue Gaussian: D/C/G/T
          [Enter 'D' for a sharp profile cutoff, (for 2D image
           only:) 'C' or 'G' for a piece-wise mask (no modification inside 
          the mask range, and cosine/Gaussian-shaped 
          falloff from this range outwards), or 'T' for a true 
          Gaussian mask.]

          .(A)V, (P)REC AV, (C)IRCUMF, OR (E)XTERNAL: P
          [Enter 'A' if the background is to be the average of
          the picture before masking; enter 'P' if the
          background is to be the average after masking; or enter
          'E' if the background is to be specified EXTERNALLY.
          Enter 'C' if you want the background to be determined
          by averaging along the border of the mask].

    If 'E' was entered, the following question appears:

          .ENTER BACKGROUND: 3.0
          [Enter the desired background.]

          .MASK CENTER COOS (NSAM, NROW): 50, 15
          [Enter the coordinates of the mask center.  Note
          that you have to specify coordinates equal to NSAM/2+1,
          NROW/2+1 if you want the mask center to coincide with the
          nominal image center.]

    The following question appears only when using a 3-D volume.

          .MASK CENTER COOS (NSLICE): 45

          [Enter the slice number for the mask center.  Note
          that you have to specify slice equal to NSLICE/2+1 if you 
          want the mask center to coincide with the nominal volume 
          center.]

    If a 'C' was specified in response to the '(C)osine, (D)isk or (G)aussian:'
    prompt, the following question appears]:

          .WIDTH: 3.5
          [Enter the width of the cosine falloff function.]

    If a 'G' was specified in response to the '(C)osine, (D)isk or (G)aussian:'
    prompt, the following question appears]:

          .HALFWIDTH: 3.5
          [Enter the halfwidth of the Gaussian falloff function.]

SUBROUTINES: MASK

CALLER:      UTIL2
