
MD        MoDe                                              MD      
                                                           11/24/03

PURPOSE:  Switches between different operating modes of SPIDER or
          sets certain options.  

USAGE:    MD

          .MODE: RESULTS OFF 
          [Enter the mode command. The available choices are:] '<br>'

          /ME/STA/TR ON/TR OFF/OP ON/OP OFF/VB ON/VB OFF/RESULTS OFF/RESULTS ON/SET MP/SET REGS/SET SEED/PIPE/TERM ON/TERM OFF

NOTES:  Explanation Of Modes
        '<pre>'       
        ME           Lists the mode menu.
        STA          Gives the current status of 'MD' options.
        TR ON        Write trace to the terminal in batch runs
                         (DO-loop index, and procedure calls).
        TR OFF       (Default)  No trace written.
        OP ON        Show operation.
        OP OFF       Show operation off.
        VB ON        Verbose on.  Normal listings to terminal and results file.
        VB OFF       Verbose off.  Shortened listing to RESULTS file.
                        Useful for complicated batch runs.
        SET MP       Sets maximum number of processors used.
                        (Setting value=0 will use all processors available.)
        SET REGS     Sets number of registers available (Must be > 102).
                        (Asks for value.)
        SET SEED     Sets seed for the FORTRAN90 RANDOM_NUMBER generator
                     used in SPIDER.
                        (Asks for value.)
        PIPE         Opens register output pipe.
                        (Asks for pipe name.)
        RESULTS OFF  Terminates current SPIDER RESULTS file.
                        All further messages that are usually sent to the
                        RESULTS file disappear.  This is useful when running 
                        very long, well-debugged SPIDER procedures.
        RESULTS ON   Restarts echo to current SPIDER RESULTS file.
        TERM ON      Diverts  SPIDER RESULTS file to Terminal.
        TERM OFF     Stops diversion of SPIDER RESULTS file to Terminal.

         '</pre>'       
 
       2. The mode commands 'STA' and 'ME' leave the user in
          'MD'.  A carriage return will bring the system back
          into operation input status.

SUBROUTINES: SETMODE

CALLER:      DRIV1
