
MU        MUltiply real or complex files                        MU      
                                                               2/24/03

PURPOSE:  Multiplies two or more images; volumes; 2D, or 3D
          Fourier transforms. 

SEE ALSO: MU D  (Divide real or complex files)
          MU M  (Multiply 1st complex file by 2nd conjugated)
          MU O  (Multiply with arithmetic OR)

USAGE:    MU

          .INPUT FILE: PIC001
          [Enter the name of the first file to be multiplied. (Header
           positions from this file are transferred to output.)]

          .MULTIPLIER FILE: PIC002
          [Enter the name of the file containing multiplier. Can
           be same as the first input file.]

          .OUTPUT FILE: PIC999
          [Enter the name of output file.  Can be same as either 
          input file.]

   The system continues:

          .MULTIPLIER FILE: *
          [Enter '*' if no more files are to be processed.]

NOTES: 1.  PIC001 contains first term of the operation, PIC002 the 
           second term. The result is kept in PIC999.

       2.  "MU" may only be used for images, volumes, or
           Fourier tranforms having the same dimensions.
          
       3.  For use in a proceedure you can use the following
           set of operations to terminate each input cycle:

         '<PRE>'
         BL       ; create blank output file
         out999   ; output file name
         64 64    ; dimensions of output file (same as input!)
         N        ; do not use average
         0.0      ; image value
         ;
         DO LB1 I=1,4
            MU       ; multiply files operation 
            inp00i   ; existing input file file series
            mult00   ; second input file (multiplier file) 
            out999   ; output file
            *        ; * for multiplier file (terminates input cycle) 
         LB1
         '</PRE>'

SUBROUTINES: ADD

CALLER:      UTIL2
