
NK        shriNK to threshold                                        NK      
                                                                  3/7/01

PURPOSE:  Isolate particle in image using threshold criterion.
          Threshold is placed outside the particle. 

SEE ALSO: NK M (shriNK to Mask)
          SE   (Seed fill)

USAGE:    NK

          .INPUT FILE: H_PIC001
          [Enter the name of the input file.]

          .OUTPUT FILE: H_IMG040
          [Enter the name of the output file.]

          .RETAIN VALUES (A)BOVE OR (B)ELOW THRESHOLD: A

          .THRESHOLD: 1.25
          [Enter density threshold marking particle boundary.]

NOTES:    1. Implemented crudely.  Searches each line starting
          at left boundary until it finds threshold pixel and
          replaces those pixels.  Then does search from right
          boundary.  This fails badly for concave particles at
          many orientations!  I suggest you use 'SE' instead.

SUBROUTINES: SHR

CALLER:      UTIL2
