
PF        Create Postscript Graph (ProFile) of an image row    PF 
                                                               7/06/99

PURPOSE:  Prepares a Postscript file containing 
          a profile along specified row(s) in an image.

SEE ALSO: GR   (Graph an image row - in Results file)
          GR T (Graph an image row - on terminal)

USAGE:    PF 

          .IMAGE FILE: PIC001
          [Enter the name of the image file.]

          .POSTSCRIPT OUTPUT FILE: CNT001
          [Enter name for Postscript output file.]

          .INDIVIDUAL, GLOBAL, OR SUM SCALE PLOT? (I/G/S): G
          [Enter scaling option desired]:
          
          [I--Individual.  Individually scaled with respect to
                           intensity range of the rows selected.
         
           G--Global.      Scaled with respect to the intensity range
                           of the whole image file.  This option should be 
                           used if several rows of the same image are to 
                           be compared on same scale.
           
           S--Sum.         Specified rows are summed into a single
                           profile, which is scaled between the minimum and
                           maximum values encountered in those rows.]

          .ENTER ROW NUMBER(S): 1-12,15,18-22
          [Enter the row number(s) of interest.]
          [In the above example, profiles of rows 1-12, 15, and
          18-22 will be plotted.]

          Bounds for X axis of plot listed.

          .ENTER NEW LOWER, UPPER AXIS BOUNDS OR <CR>: <CR>
          [Can change y axis bounds or keep default by entering
          <return>.]

          X axis label units listed.

          .ENTER NEW AXIS LABEL UNIT AND TICKS / LABEL OR <CR>: <CR>
          [Can change X axis label unit or keep default]

          .ENTER LABEL NO. TO EDIT. USE 0 FOR LABEL: 1
          -1 TO RELIST ALL LABELS, OR <CR> TO CONTINUE: <CR>

          Bounds for Y axis of plot listed.

          .ENTER NEW LOWER, UPPER AXIS BOUNDS OR <CR>: <CR>

          Y axis label units listed.

          .ENTER NEW AXIS LABEL UNIT AND TICKS / LABEL OR <CR>: <CR>

          .ENTER LABEL NO. TO EDIT. USE 0 FOR LABEL: 1        '<BR>'
          -1 TO RELIST ALL LABELS, OR <CR> TO CONTINUE: <CR>

          .PRINT NOW? (Y/N): N
          [Send plot to printer.  Only works if '<I>'"lp"'</I>' is
           used on your system.]
        
NOTES:       1. Implemented by: ArDean Leith

SUBROUTINES: DPROFL, OPAUXFILE

CALLER:      PLOT1


