
PJ 3Q O   ProJect - 3D volume using Eulerian angles (older version) || PJ 3Q O    
                                                               9/02/04

PURPOSE:  Computes projection(s) of a 3D volume according to the three
          Eulerian angles.  This older version has greater
          aliasing than the current operation. 

SEE ALSO: PJ 3     
          PJ 3Q    
          PJ AT    
          PJ CYL  
          RT SQ   

USAGE:    PJ 3Q O
  
          .3-D INPUT FILE: vol001
          [Enter the name of the volume whose projections are to be
           computed. This should be a cube!]

          .RADIUS OF THE OBJECT: 26.0
          [The projections are computed only for the object inside
          the sphere of the given radius.]

          .ENTER ANGLE NUMBERS OR SELECTION DOC. FILE NAME: 1-700 or SEL001
          [Enter selected angle numbers OR the name of the document file containing 
          the selected angle numbers.  Projections will only be calculated for
          the selected sets of angles from the following angles doc. file. (If you 
          use a selection doc. file then the selected numbers 
          are taken from the first register in the file.)]

          .ANGLES DOC. FILE: ANGLES
          [Enter the name of the document file containing the Eulerian
          angles for the projections.  The angles have to be given
          in the order: psi, theta, phi. The meaning of the angles
          is the same as in operation 'RT SQ'.  Projections will be
          calculated for every entry specified in the previous question.]

          .ENTER TEMPLATE FOR 2-D PROJECTIONS: PRJ****
          [Enter the template for the output files which will contain the 
           2-D projections.]

NOTES: 1. Memory requirements: NSAM*NROW+12*R**3+15*R**2, where R is the 
          radius, but no more than: 6*NSAM*NROW+NSAM*NROW*NSLICE

       2. The projection file has always dimensions NSAM x NROW.

       3. For a projection of the whole volume (not the internal
          sphere only) give a radius larger than any linear
          dimension of the volume.  Please note that usually
          such a projection is incorrect and the program takes
          much longer! 

       4. Implemented by: P.Penczek.

SUBROUTINES: PJ3Q, PREPCUB_Q, WRITPRO, WPRO

CALLER:      VTIL2
