
PL HI     PLot HIstogram - from document file                    PL HI
                                                                3/01/99
 
PURPOSE:  Creates Postscript histogram of a document file.

SEE ALSO: PL      (Create Postscript plot of  doc. file contents)
          PL FIT  (Fit polynomial to data stored in doc. file)

USAGE:    PL HI

          .HISTOGRAM DOCUMENT FILE:
          [Enter input file name.]

          .FIRST & LAST KEY NUMBERS: 1,10
          [Enter first, last key to be used.]

          .REGISTER (COLUMN) IN DOC. FILE USED FOR HISTOGRAM: 2
          [Enter column # for histogram, (0 makes histgram of keys).]
 
          .STARTING X VALUE, INTERVAL: -180, 10 
          [The interval is the bin size for the histogram.]

          .ENDING X VALUE): 180 

          .POSTSCRIPT OUTPUT FILE: PLT001 
          [Enter output contour storage file]

          Lists bounds on Y axis of plot.

          .ENTER NEW LOWER, UPPER Y AXIS BOUNDS OR <CR>:
          [Can change Y axis bounds. To keep default enter
           <return>.]

          Lists bounds on X axis of plot.

          .ENTER NEW LOWER, UPPER X AXIS BOUNDS OR <CR>:
          [Can change X axis bounds. To keep default enter
          <return>.]

          .ENTER NEW AXIS LABEL UNIT AND TICKS / LABEL OR <CR> :
          [Can change Y axis label unit or keep default]

          Y axis label units listed.

          .ENTER LABEL NO. TO EDIT.  USE 0 FOR LABEL:  1
          -1  TO RELIST ALL LABELS, OR <CR> TO CONTINUE: <CR> '<BR>'
          [Can change X axis label unit or keep default.]

          .ENTER NEW AXIS LABEL UNIT AND TICKS / LABEL OR <CR> :

          X axis label units listed.

          .ENTER LABEL NO. TO EDIT.  USE  0  FOR LABEL:  1
          -1  TO RELIST ALL LABELS,  OR  <CR> TO CONTINUE: <CR> '<BR>'
          [Can change X axis label unit or keep default]

          .PRINT NOW? (Y/N): N
          [Can send plot to printer.  Only works if '<I>'"lp"'</I>' is
           used on your system.]

NOTES:   1. The output file will have a '<I>' .ps'</I>' extension 
            unless specified otherwise.

 
SUBROUTINE: DCHIST, GETDOCDAT, OPAUXFILE, POSAXIS

CALLER:     PLOT1



