
RO        ROtational average - single line output              RO      
                                                          07/8/99

PURPOSE:  Computes the radial distribution function of a 
          two or three dimensional density distribution stored 
          in a square array.
          Center assumed to be located at (NSAM/2+1, NROW/2+1).

SEE ALSO: RO I  (Rotational average - 2D image output)
          GR    (GRaph an image row - in Results file)
          GR T  (GRaph an image row - on Terminal)
          PF    (Create Postscript Graph (ProFile) of an image row)
         
USAGE:    RO

          .INPUT FILE: PIC001
          [Enter the name of the file to be rotationally averaged.]

          .OUTPUT FILE: ROT001
          [Enter the name of the file to store averages.]

          [The output file will contain the azimuthally averaged
          density distribution as a function of radius. The
          dimensions of the output file will be NSAM/2.]

NOTES: 1. Listing of the 1D array may be done with 'GR' or
          'GR T', specifying row #1 to be displayed.
          Alternatively, the values may be listed using 'LI T' or
          plotted using 'PF'.

SUBROUTINES: RADAV, CRCSE1,CRCSE3

CALLER:      UTIL3
