
RT 3L    RoTate -  volume around an arbitrary line               RT 3L
                                                                5/6/02

PURPOSE:  Rotates a volume around an arbitrary line using tri-
          quadratic interpolation.

SEE ALSO: RT     (RoTate - image or volume, use average as background)
          RT 3A  (RoTate - volume, around arbitrary center)
          RT 3D  (RoTate - volume, fast)
          RT 90  (RoTate - image or volume, by 90, 180, or 270 degrees)
          RT B   (RoTate - image or volume, supply background)
          RT C   (Rotate - image, around arbitrary center, for small files)
          RT M   (Rotate - image or volume, use minimum as background)

USAGE:    RT 3L

          .INPUT FILE: VOL001
          [Enter the name of the file to be rotated.]

          .OUTPUT FILE: VOL002
          [Enter the name of the file where the rotated volume is to
          be kept.]

          .ALPHA: 10.5 
          [Enter the rotation angle alpha.]

          .X, Y, & Z FOR FIRST POINT DEFINING ROTATION AXIS: 32 32 10

          .X, Y, & Z FOR SECOND POINT DEFINING ROTATION AXIS: 32 32 50
 
SUBROUTINES: ROTAL3, ROTL3

CALLER:      UTIL3
