
SA E      Sum Eulerian angles                              SA E
                                                         11/30/01

PURPOSE:  To combine Eulerian angles from two successive 3D rotations.
          The combined values, saved in registers, can then
          be applied to the original volume.  Additive interpolation
          errors are thus avoided.

SEE ALSO: SA 3 (Sum alignment in 3D)

USAGE:    SA E,X41,X42,X43

          .FIRST TRANSFORMATION ROTATION ANGLES (PHI, THETHA, PSI): 56.0 34.4 67.9 
          [The rotation angles for the first transformation, 
          The order of parameters is: phi, theta, & psi]

          .SECOND TRANSFORMATION ROTATION ANGLES (PHI, THETHA, PSI): 56.0 34.4 67.9 
          [The rotation angles for the second transformation, 
          The order of parameters is: phi, theta, & psi]

          [The three  registers receive the combined rotation angles.'<br>'
          The order of output angles is:'<br>'
          1 - phi'<br>'
          2 - theta'<br>'
          3 - psi'<br>'

NOTES: 1. The parameters agree with commands 'RT 3D' and 'OR 3Q'.

       2. In SPIDER 7.10+ input of numbers contained in registers is 
          no longer allowed.  Registers are only for output.
          (Input may still be present for backward compatibility.)

SUBROUTINES: SUMEULER

CALLER:      DRIV1
