
SD C      Save Document - from CA S (_IMC) file                  SD C    
                                                              2/27/04

PURPOSE:  Transfer image coordinates along factors from correspondence
          analysis coordinates file (_IMC00) into a document file.  This 
          document file can be used in 
          '<A HREF='"'../../../web/docs/web.html'"'>'WEB'</A>'
          "CORR MAP" operation.

SEE ALSO: CA S      
    
USAGE:    SD C

          .CORAN/PCA FILE PREFIX: coran_t_
          [Enter the prefix for the files created in 'CA S'.]

          .ENTER FACTORS NUMBERS (e.g. 1-8,12-22,55): 1-80,90-95
          [Numbers are consecutive, and refer to the sequence of
          files specified in 'CA S'.  Can specify up to 50 factors.]

          .DOCUMENT FILE: DOC003
          [Enter name for new document file.]

NOTES:    The coordinate n-tupels are transferred in the order the
          images were entered in 'CA S'.  The image number is used
          as key.

          Example for retrieval of the position of image number 51
          along factor 2:                                  '<BR>'
               UD 51,X10,X20                               '<BR>'
               DOC003                                      '<BR>'
          After execution of this command, SPIDER register number 20
          (X20) contains the desired value.

SUBROUTINES: RDCLUS, SAVD, OPAUXFILE, LUNDOC

CALLER:      DRIV3
