
SD IC NEW   Save Document In Core - create NEW storage array  SD IC NEW   
                                                              07/15/03

PURPOSE:   Creates a new in-core  document storage array.
           Up to 10 document arrays can remain open until closed with 'SD IC END'.

SEE ALSO: SD IC 
          SD IC COPY
          SD IC END
          UD IC   
          UD ICE  

USAGE:    SD IC NEW                       

         .INCORE DOCUMENT ARRAY: REF_ANGLES
          [Enter the name of the new storage array.]

         .NUMBER OF REGISTERS & KEYS ALLOWED:  20, 50000 
          [Enter the dimensions of the new storage array.]

NOTES:  1. The incore document array (file) can be copied to a 
          physical file using 'SD IC COPY'.

        2. Comment keys are not allowed in in-core document arrays (files).

        3. Up to 10 in-core storage arrays (documents) can be accessed 
           concurently.  A document file is closed with the 'SD IC E' operation.  

SUBROUTINES:  SDOCIC, OPENDOC, LUNDOC

CALLER:       DRIV3
