
VO EPT    Vector Operation - Euler angle point rotation      VO EPT
                                                             08/04/04

PURPOSE:  Rotate a point using given Euler angles.
          Assumes SPIDER conventions for Eulerian angles.

SEE ALSO: VO IA
 
USAGE:    VO EPT X11,X12,X13

          .INITIAL POINT - X, Y & Y: 0, 0, 1
          [Enter initial point (vector) (USe 0,0,1 for SPIDER
           projections).

          .EULER ANGLES - PHI, THETA & PSI: 0, 25, 30
          [Enter Euler angle for transformation.
          If registers were specified on the operation line then the
          final X, Y, & Z coordinates of the point are placed in the first
          three registers.]
           
NOTES: 1. Implemented by A. Leith.

SUBROUTINE: VOEPT

CALLER:     DRIV1
