
AT WN      Automatic particle selection                         AT WN 
              						   03/29/01

PURPOSE:   Written for the automatic particle picking program. It 
           selects only those data windows which are considered to be 
           good particles as decided by the discriminant function.

SEE ALSO:  AT IT (Automatic particle picking - intermediate program)
           AT SA (Automatic particle picking - statistical parameters)
           AT PK (Automatic particle picking - peak search)

USAGE      AT WN

           .ENTER TEMPLATE FOR 2_D IMAGE NAME: SER*****
           [Give the name the existing file series.] 
 
           .ENTER FILE NUMBERS: 1-10,12,15-17
           [Enter numbers of files to be selected.] 
 
           .SIZE OF MINI WINDOW:5,5
           [Enter the size of the small window that is moved across the 
           length and the breadth of each image to evaluate local statistics.
           Use the same size that you used in 'AT SA' where the discriminant function
           was evaluated.]

           .DISCRIMINANT FUNCTION FILE: discrim
           [Enter the name of the file which contains the discriminant function
           as evaluated from AT SA.]

           .DOCUMENT FILE: doc
           [Enter the name of the document file where you want to store 
           the numbers of all the windowed images which are considered as
           good particles.] 
 
NOTE:      1. Details: '<A HREF='"'../autopartpick.html'"'>' autopartpick.html'</A>' '<BR>'
           
           2. Ref: "Automatic Particle Picking from Electron micrograph" by 
              Lata et.al.

SUBROUTINE:  STEPI,ATWN,WPDP,MEED,POJ,FITT,STEP,TOMA,TIMA,CLSS

CALLER:      UTIL4

