
CA SMI     Correspondence Analysis - Set Active/Inactive Images Coordinates  CA SMI   
                                                              5/7/04

PURPOSE:  Prepares image coordinates file with Active/Inactive images denoted. 

SEE ALSO: CA S   
          CA SM
    
USAGE:    CA SMI

          .CORAN/PCA FILE PREFIX (e.g. CORAN_)~: coran_may_
          [Enter the prefix identifying the set of data files created
          from a previous  
          '<a href='"'./cas.html'"'>''CA S'</a>' run: _IMC, _PIX, & _EIG.]

         .ENTER ACTIVE IMAGE FILE TEMPLATE:  sma***
          [Enter a file name template identifying the image series 
          to be analyzed. These data files of same size as those used
          in previous   
          '<a href='"'./cas.html'"'>''CA S'</a>' run. This images will be
          denoted with 'A' prefix in subseqent 
          '<a href='"'./casm.html'"'>''CA SM'</a>' operation.]

         .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME:      1-70
          [Enter numbers for a set of data files of same size as those used
          in previous   
          '<a href='"'./cas.html'"'>''CA S'</a>' run.]

         .ENTER INACTIVE IMAGE FILE TEMPLATE:      sma***
          [Enter a file name template identifying the image series 
          to be analyzed. These data files of same size as those used
          in previous   
          '<a href='"'./cas.html'"'>''CA S'</a>' run. This images will be
          denoted with 'I' prefix in subseqent 
          '<a href='"'./casm.html'"'>''CA SM'</a>' operation.]

         .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME: 71-80
          [Enter numbers for a set of data files of same size as those used
          in previous   
          '<a href='"'./cas.html'"'>''CA S'</a>' run.]

         .COORDINATE OUTPUT FILE PREFIX~: casmii
          [Enter the prefix used for the output file where data are
          to be stored.  'CA SMI' creates a single output file to store
          the results.  The output file has the prefix entered here followed by: _IMC  '<br>'
          This output file can now be used as input to the:
          '<a href='"'./casm.html'"'>''CA SM'</a>' operation to display the factor map. 

NOTES:  1. Only works with non-transposed sets of data files created from a previous  
          '<a href='"'./cas.html'"'>''CA S'</a>' run. If your files
          are from a transposed run try another:
          '<a href='"'./cas.html'"'>''CA S'</a>' run and enter 'CN' or 'PN' when
          asked for CORAN/PCA analysis to force non-transposed solution. (This may
          be very slow!).

        2. Active/Inactive labels are arbitrary. They were not necessarily
           active/inactive in the previous '<a href='"'./cas.html'"'>''CA S'</a>' run.
           This means that this operation can be used to plot two 
           different series, on the same map.

SUBROUTINES: JPMSK3

CALLER:      UTIL1

