
CA SRD  Correspondence Analysis - Reconstitute Differential images  CA SRD
                                                               12/18/04
          
PURPOSE:   Compute differential (eigen) image for a selected factor 
           from CORAN analysis.

SEE ALSO: CA S           
          CA SM  
          CA SRI 
          CA SRA  
    
USAGE:    CA SRD

          .CORAN FILE PREFIX: coran_t_
          [Enter the prefix for the CORAN files created in 'CA S'.]

          .ENTER FILE NUMBERS TO BE USED (EG. 1-8,12-22,55): 1-80,90-95
          [Numbers are consecutive, and refer to the sequence of
          files specified in 'CA S'. ]
          
          .ENTER FACTORS TO BE USED: 2-4
          [Enter the factors to be used for image reconstitution.
          Note that the numbers have to be less that the number of
          images and less or equal to the number used in 'CA S'.]
          
          .OUTPUT FILE TEMPLATE: SRD_****
          [Enter the prefix for the files created here.]

NOTES: 1. For a detailed explanation of concepts used in CORAN see:
          J.P. Bretaudiere and J. Frank (1986) J. Microscopy 144:1-14. 
          Importance images are defined in J. Frank and M. van Heel
          (1982) J. Mol. Biol. 161:133-137.

SUBROUTINES: JPMSK2

CALLER:      UTIL1
