
CE FREI   Contrast Enhancement - Frei & Chen                CE FREI 
                                                            6/18/01

PURPOSE:  Segmentation of image using a Frei-Chen convolution.  Useful 
          for edge detection. 

SEE ALSO: CE HURST
          CE HARALICK
          CE VAR
          CE LAP

USAGE:    CE FREI

          .INPUT FILE: VOL001
          [Enter the name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter  name for output file.]
       

NOTES: 1.  Image is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary.

       2.  Uses a set of 8 convolution kernals to get a ratio of
           "edgeness" versus "non-edgeness" for each pixel.
              
       3.  Reference:  John C. Russ, "The Image Processing Handbook",
           CRC Press, Inc.  (2000)

       4.  Not implemented for volumes. Volumes are processed 
           slice-by-slice.

SUBROUTINES: FILTER

CALLER:      UTIL2
