
CE MAX    Contrast Enhancement - Maximum                    CE MAX 
                                                            5/03/01

PURPOSE:  Creates maximum image/volume.  Useful for texture
          based segmentation and for "grey scale erosion". 

SEE ALSO: CE RAN
          CE MIN
          CE VAR
          CE

USAGE:    CE MAX

          .INPUT FILE: VOL001
          [Enter the name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter  name for output file.]

          .NEIGHBORHOOD X & Y: 3, 3
          [Length of the neighborhood around a pixel. Must be an
           odd number.]
        
NOTES: 1.  Image/volume is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary.

       2.  Replaces pixel value by maximum pixel value 
           in the the neighborhood.  The neighborhood is rectilinear 
           and all pixels are weighted evenly.

SUBROUTINES: FILTER

CALLER:      UTIL2
