
CE MET   Contrast Enhancement - Maximum Entropy Threshold     CE MET     
                                                           06/23/05

PURPOSE:  Applies maximum entropy thresholding to an image/volume.

SEE ALSO: CE HI   
          CE LAHE  
          TH       
          HI      

USAGE:    CE MET

          .INPUT FILE: PIC001
          [Enter name of image to be processed.]

          .OUTPUT FILE: PIC002
          [Enter name of file receiving the output image.]

NOTES:   1. Divides the histogram of the image into two probability 
            distributions, one representing the objects and one 
            representing the background. Finds threshold such that 
            the sum of the entropies of these probability distributions 
            is maximized. Thresholds image to binary around this value.

         2. Reference: P.K. SAHOO, S. SOLTANI, K.C. WONG &, Y.C. CHEN 
            "A Survey OF Thresholding Techniques", 
            COMPUTER VISION, GRAPHICS, AND IMAGE PROCESSING, 
            VOL. 41, PP.233-260, 1988.

SUBROUTINE: MEHIST

CALLER:     UTIL2
