
CE MIN    Contrast Enhancement - Minimum                    CE MIN 
                                                            6/19/01

PURPOSE:  Creates minimum image/volume.  Useful for texture
          based segmentation and for "grey scale erosion".  Also
          useful for making a background subtraction image. 

SEE ALSO: CE RAN
          CE MAX
          CE VAR
          CE

USAGE:    CE MIN

          .INPUT FILE: VOL001
          [Enter name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter name for output file.]

          .NEIGHBORHOOD X & Y: 3, 3
          [Length of the neighborhood around a pixel. Must be an
           odd number.]
        
NOTES: 1.  Image/volume is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary.

       2.  Replaces pixel by minimum  pixel value found in the 
           local neighborhood.  The neighborhood is rectilinear and 
           all pixels are weighted evenly.

SUBROUTINES: FILTER

CALLER:      UTIL2
