
CE TOP    Contrast Enhancement - Top Hat                       CE TOP 
                                                               2/14/05

PURPOSE:  Applies "top-hat" filter to an image/volume.  Useful for 
          segmenting circular/spherical objects from image/volume when
          objects have intensity above background.

SEE ALSO: CE VAR
          CE

USAGE:    CE TOP

          .INPUT FILE: VOL001
          [Enter the name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter  name for output file.]

          .INNER & OUTER DIAMETERS: 3,7
          [Diameter of the object and reference area around the
           object.]
        
NOTES: 1.  Image/volume is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary.

       2.  Output image is the difference between the maximum
           pixel value within the inner radial region and the
           maximum pixel value in the outer radial region.

       3.  To produce a "standard top-hat filter" this output image
           can be thresholded at any desired level. This two step
           process allows easy interactive determination of the threshold
           that is suitable inside the filter.

       4.  Reference:  John C. Russ, "The Image Processing Handbook",
           CRC Press, Inc.  (2000)

SUBROUTINES: FILTER

CALLER:      UTIL2
