
CE VAR    Contrast Enhancement - Variance                       CE VAR 
                                                               10/07/02

PURPOSE:  Creates variance image/volume.  May be useful for texture
          based segmentation. Works on images and volumes.

SEE ALSO: CE G
          CE HURST
          CE

USAGE:    CE VAR

          .INPUT FILE: VOL001
          [Enter the name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter name for output file.]

          .NEIGHBORHOOD  X, Y, & Z:  3  3  3
          [Length of the neighborhood around a pixel. Must be an
           odd number.]
        
NOTES: 1.  Image/volume is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary.

       2.  Variance is (1/N-1) * summation (over the neighborhood) of
           the square of the difference between the pixel's intensity 
           and the average intensity of pixels in the neighborhood.  
           (Where N  is the number of pixels in the the neighborhood.)

SUBROUTINES: FILTER

CALLER:      UTIL2
