
CP FROM MRC   CoPy MRC format File to SPIDER File       CP FROM MRC    
                                                            4/15/03

PURPOSE:  Copies MRC format file to a SPIDER format image file.

SEE ALSO: 
#include "cp_include.also"

USAGE:    CP FROM MRC
              
          .MRC INPUT FILE NAME: MRCIN
          [Enter the name of the MRC file you want to copy.]

          .OUTPUT FILE: SPI000 
          [Enter the name of the SPIDER output file.]
 
       If the MRC file data is 16 bit integer or 32 bit floating 
       point (MRC modes 1 or  2) the following question appears:

          .FLIP DATA BYTE ORDERING? (Y/N): N
            
NOTES:      1. Only works for MRC modes 0, 1, & 2. Does not copy
            MRC Fourier format files. Does not copy any MRC file
            where header data is written as integers.

            2. Only the size and mode info from the MRC file header 
            is utilized. Other MRC header info is discarded.
          
SUBROUTINE: COPYMRC, REDHEDMRC, RAWTOSPIDER

CALLER:     COPY1
