
CP TO POST      CoPy SPIDER file to a POSTscript file        CP TO POST
                                                             2/21/99

PURPOSE:  Copies a Spider file to a Postscript image file.
          Creates Postscript header appropriate for both B&W and
          color printers.  

SEE ALSO: 
#include "cp_include.also"

USAGE:    CP TO POST

          .INPUT FILE: PIC001
          [Enter the name of the picture to be copied.  If this is
          a 3D image all slices will be copied.]

          .POSTSCRIPT OUTPUT FILE: POS000
          [Enter the name for Postscript image file.]

          The density range for the original image is printed.
          DENSITY RANGE: = 1.00....2.00. The program then asks:

          .ENTER MIN. AND MAX. DENSITIES FOR THRESHOLDING (OR <CR>: .5 1.0
          [This density range from the original image is then
          spread over 8 bits of grey scale in the output.  To 
          reverse contrast, make max < min. A <CR> will use the whole
          original image range.]

          [A default image size which will nicely fill a sheet of paper 
          is calculated.
          Default image size is 18 cm by 18 cm.]

          .ENTER DESIRED SIZE IN CM (OR <CR>): 18
          [A <CR> keeps default image size.] 

          .ENTER BACKGROUND VALUE 0 (BLACK) - 255 (WHITE), (-1 - SKIP): -1
          [Background can be modified. The background is all values which
           share the minimum value. A -1 will not alter the background.]

          .PRINT NOW? (Y/N): n
          [Printout will be sent to the Postcript laser printer.
          Warning: site-specific command!]

SUBROUTINE: COPYPOS

CALLER:     COPY1









