
DOC COMBINE  Combine series of document files.              DOC COMBINE
                                                               12/11/01

PURPOSE:   Combine contents of a series of document files renumbering
           all keys. If a key is duplicated within a single input 
           file only the final key's registers are used.  This 
           operation is same as 'DOC MERGE' by column -1  except 
           can merge a whole series of document files.

SEE ALSO:  SD           (Save document)
	   DOC MERGE    (Merge two document file) 
           DOC MIRROR   (Create second  file that lacks values in first)
           DOC SUBTRACT (Merge values from 1'st file not found in 2'nd file)

USAGE:    DOC COMBINE

          .ENTER TEMPLATE FOR DOC. FILE SERIES:  DOC***
          [Enter template for input document files.]
 
          .ENTER FILE NUMBERS OR SELECTION DOC. FILE NAME: 1-3
          [Enter document file numbers or the name of another document 
          file containing document file numbers in the first column.]
 
          .OUTPUT DOCUMENT FILE: DOCOUT002
          [Enter name of output document file.]

SUBROUTINES: DOCS1, OPENDOC, LUNDOC, FILGET, GETDOCDAT 

CALLER:      DRIV1
