
DOC CREATE  Create Document file                             DOC CREATE
                                                                 4/9/99

PURPOSE:   Creates a document file containing specified values in a
           chosen column. 

SEE ALSO:  SD           (Save document)
           DOC MERGE    (Merge two document files) 
           DOC MIRROR   (Create new file lacking values in first) 
           DOC SUBTRACT (Merge values from 1'st file not found in 2'nd file) 
	      
USAGE:    DOC CREATE

          .OUTPUT DOCUMENT FILE: DOC002
          [Enter name of output document file.]
 
          .COLUMN TO BE FILLED (0 IS KEY): 1
          [Enter column number to be filled with values.  If the
          key column (0) is chosen the new document file will contain
          only those keys input below and column 1 will be filled with 
          1.0's.  If a column other than the key column is specified
          then the keys will be consecutive and the column specified
          will be filled with the values.  Any previous columns will
          be filled with 0's. ]

          .ENTER NUMBERS: 1,2,10-25,30-35
          [These values are placed in the specified column.]

SUBROUTINES: DOCS1, OPENDOC, SAVDN1, LUNDOC, 

CALLER:      DRIV1
