
DOC MIRROR  Mirror a Document file                           DOC MIRROR
                                                                 4/9/99

PURPOSE:  Create second document file that lacks values found in a 
          specified column in the first document file.. 
          All values are converted to integers so this operation is 
          only useful for columns containing integer values!

SEE ALSO:  SD           (Save document)
           DOC CREATE   (Shuffle a document file) 
           DOC MERGE    (Merge two document files) 
           DOC SHUFFLE  (Shuffle document file) 
           DOC SORT     (Sort a document file) 
           DOC SUBTRACT (Merge values from 1'st file not found in 2'nd file) 
	      
USAGE:    DOC MIRROR

          .INPUT DOCUMENT FILE: DOC001
          [Enter name of input document file.]
 
          .COLUMN TO BE MIRRORED (0 IS KEY): 1
          [Enter column number which will be mirrored. If the
          key column (0) is chosen the new document file will contain
          only those keys not found in the current file and column
          one of the new file will be filled with 1's.  If a colunn 
          other than the key column is specified then the new file will
          have consecutive keys in the key column and the specified
          column will be filled with values not found in the specified
          column of the input file.  Any previous columns will be 
          filled with 0's. ]

          .OUTPUT DOCUMENT FILE: DOC002
          [Enter name of output document file.]

NOTES:   

SUBROUTINES: DOCS1, OPENDOC, SAVDN1, LUNDOC, 

CALLER:      DRIV1
