
ER        Erode a binary image/volume                                ER      
                                                                2/20/01

PURPOSE:  Erodes object in an input image/volume. 

SEE ALSO: EC CL
          DI
          ER SK
          ER EDM

USAGE:    ER

          .INPUT  FILE: VOL001
          [Enter the name of the input file.]

          .OUTPUT FILE: VOL002
          [Enter  name for output file.]

          .BOX OR CROSS NEIGHBORHOOD (B/C): C
          [Shape of neighborhood.  Box is a square/cube centered on each
           voxel, cross is a 2/3-dimensional cross centered on each
           voxel.]

          .LENGTH OF NEIGHBORHOOD: 3
          [Length of the neighborhood around a voxel. (Should be an
           odd number).]

          .ERODE IF NUMBER OF OCCUPIED NEIGHBORS IS LESS THAN: 26
          [Voxel will be set to 0.0 (eroded) if it has fewer 
           than this many occupied neighbors.]
        
NOTES: 1.  Requires a "binary" input image/volume with voxels
           having either zero or one.  Eroded areas are set to
           value of zero.

       2.  Image/volume is "circularly closed" so that voxels on 
           boundaries have a neighbor on opposite boundary.

SUBROUTINES: EROSION

CALLER:      UTIL3
