
ER DOC    Erode image/volume.  Save UEP in doc file.              ER DOC    
                                                                2/20/01

PURPOSE:  Erodes object in an input image/volume. 

SEE ALSO: EC CL
          DI
          ER
          ER EDM

USAGE:    ER DOC

          .INPUT  FILE: VOL001
          [Enter the name of input file.]

          .OUTPUT FILE: VOL002
          [Enter  name for output file.]

          .BOX OR CROSS NEIGHBORHOOD (B/C): C
          [Shape of neighborhood.  Box is a square/cube centered on each
           voxel, cross is a 2/3-dimensional cross centered on each
           voxel.]

          .LENGTH OF NEIGHBORHOOD: 3
          [Length of the neighborhood around a voxel. Must be an
           odd number.]

          .ERODE IF NUMBER OF OCCUPIED NEIGHBORS IS < THAN: 26
          [Voxel will be set to 0.0 (eroded) if it has fewer 
           than this many occupied neighbors.]

          .DOCUMENT FILE: UEP000
           [Location of any isolated pixel which is eroded 
           (ultimate eroded pixel) is placed in this doc. file.]
   
NOTES: 1.  Requires a input image/volume with voxels
           having values equal or greater than zero. Voxels with
           value greater than zero are considered to be occupied.
           Eroded areas are set to a value of zero.

       2.  Image/volume is "circularly closed" so that voxels on 
           boundaries have a neighbor on opposite boundary.

SUBROUTINES: EROSION

CALLER:      UTIL3
