
ER EDM    Create euclidean distance map                         ER EDM      
                                                                5/16/01

PURPOSE:   Create euclidean distance map from an image or volume, 
           showing distance from a pixel/voxel to nearest background
           pixel/volume.

SEE ALSO: ER
          DI
          ER SK

USAGE:    ER EDM

          .INPUT  FILE: IMG001
          [Enter the name of the input file.]

          .OUTPUT FILE: IMG002
          [Enter  name for output file.]

          .BACKGROUND THRESHOLD: 1.75
          [Enter  threshold for background.]

NOTES: 1.  Image  is "circularly closed" so that pixels on 
           boundaries have a neighbor on opposite boundary.

       2.  The Euclidean distance map can now be thresholded and used
           in segmentation e.g. of overlapping objects.  It is useful
           in "watershed" segmentation

SUBROUTINES: EDM

CALLER:      UTIL3
