
HD D      Histogram of document file column - output in doc. file.  HD D 
                                                                 8/10/98

PURPOSE:  Computes 128 bin histogram of a document file column and
          puts the histogram in a document file.

SEE ALSO: HD (Histogram of a doc. file column)
          HD R (histogram of a doc. file column - specified range)

USAGE:    HD D

          .INPUT DOCUMENT FILE: DOC000
          [Enter the name of the document file.
           The number of registers and keys in the doc. file will 
           be listed.  All existing keys will be be counted in the 
           histogram even if there is a gap.]

          .REGISTER # USED FOR HISTOGRAM: 5
          [Enter column number for which the histogram will be
           calculated.]

          .DOCUMENT FILE: DOC001
          [Enter name of output document file.] 

NOTES:    1. The 128 level histogram of specified column of DOC000
          will be 
          computed and put into document file DOC001.  The following 
          information will be printed out at the user's terminal:               
       
          '<PRE>'
          HISTOGRAM RANGE:                .........            
          FILE KEYS:                      HIST. KEYS:       
          NO. OF BINS:                    BIN SIZE:       
          HIST. MEAN:                     HIST. MODE:   
          HIST. S.D.:             
          '</PRE>'   

SUBROUTINE: HISD, GRAPHS, GETDOCDAT, SAVD

CALLER:     UTIL1
