
HD R      Histogram of a document file column - specified range   HD R
                                                                8/11/98

PURPOSE:  Computes 128 bin histogram of a document file column and 
          prints histogram in users RESULTS file.  Only pixels within
          specified range are included in the histogram.

SEE ALSO:  HD    (histogram of a doc. file column)
           HD D  (histogram of a doc. file column, output in doc. file)

USAGE:    HD R

          .INPUT DOCUMENT FILE: PIC027
          [Enter the name of the document file.]

          .COLUMN # USED FOR HISTOGRAM: 5
          [Enter column number for which the histogram will be
           calculated.]

          .HISTOGRAM RANGE MIN,MAX:0.1,1.2
          [Only original column values within this range will
           be included in the histogram.]
 

NOTES:    1. The 128 level histogram of desired column will be computed and put
          into the RESULTS file.  The following information will be
          printed out at the user's terminal:               
       
          '<PRE>'
          HISTOGRAM RANGE:                .........            
          FILE KEYS:                      HIST. KEYS:       
          NO. OF BINS:                    BIN SIZE:       
          HIST. MEAN:                     HIST. MODE:   
          HIST. S.D.:             
          '</PRE>'   


SUBROUTINE: HISD, GRAPHS, GETDOCDAT

CALLER:     UTIL1
