
HF        Helical Fourier                                  HF
                                                           3/22/96

PURPOSE:  Computes a 3D density map by Fourier-Bessel transformation
          from Cambridge-formatted gnl's

USAGE:    HF

          .GNL FILE: 14r.gnl
          [Enter the name of the file containing gnl coefficients.
          Arbitrary extension allowed]

          .HELICAL REPEAT: 357.5
          [Enter the helical repeat in A]

          .GRID INTERVAL: 5
          [Enter grid interval in A]

          .MAP RANGE (FROM, TO): -150,150
          [Give cubic volume boundaries.  Must be multiples of
          grid interval]

          .TURN MAP UPSIDE DOWN (y/N): N
          [Answer 'y' if you wish the map to be turned, <CR> or 'N'
          if you don't]

          .PHI ROTATION: 25.
          [PHI rotation offset in degrees]

          .Z TRANSLATION: 0.
          [Z translation offset]

          .RADIAL CUTOFF: 0.
          [Terms with radius above cutoff are not computed.  If
          0 is entered, no cutoff is used.]

          .B-FACTOR: 0.
          [Optional Gaussian falloff parameter.  If 0 is entered,
          no falloff is applied.]

          .OUTPUT FILE: VOL001
          [Enter the name of the file where the reconstructed volume
          is to be kept.]

NOTES:  The program compute the Fourier map from Gnl's as defined by 
        Klug, Crick and Wyckoff.

SUBROUTINES: HF

CALLER:      UTIL4
