
HI E      HIstogram entropy                                       HI E
                                                               2/16/04

PURPOSE:  Computes entropy of image using histogram.

SEE ALSO:  HI

USAGE:     HI E X11

          .INPUT FILE: PIC027
          [Enter the name of the file containing the image/volume.]

          .NUMBER OF BINS: 256

          .HISTOGRAM RANGE: <CR>
          [Enter range for histogram.  Default range is the minimum 
          of the file .... maximum of the file.]

NOTES:    1. For each grey level (bin) compute the frequency 
             f(i) = number of pixels in bin(i) / total pixels in image.
             Compute Sum of -f(i)*log(f(i)) 
             The sum is the entropy of the image.'<BR>'

             The following information will be
             printed out at the user's terminal:               
       
          '<PRE>'
          FILE RANGE:                     .........           
          HIST. RANGE:                    .........    
          IMAGE PIXELS:                   HIST. PIXELS:
          NO. OF BINS:                    BIN SIZE:      
          ENTROPY:             
          '</PRE>'

          2. An optional register will receive the entropy value.

SUBROUTINES: ENTROP

CALLER:     UTIL1
