HI M      HIstogram - masked area                               HI M    
                                                               8/10/98

PURPOSE:  Computes a 128 level histogram of the area of an image which
          has a value >= 0.5  in a second mask image.  Prints 
          histogram in document file, results file, or on the
          terminal.

SEE ALSO:  HI    (histogram - output in results file)
           HI R  (histogram - output in results file, specified range)
           HI T  (histogram - output on terminal)
           HI TR (histogram - output on terminal, specified range)
           HI D  (histogram - output in document file)
           HI DR (histogram - output in document file, specified range) 

USAGE:    HI M

          .INPUT FILE: PIC001
          [Enter the name of the file containing the image.]

          .MASK FILE: MASK01
          [Enter the name of the file containing the mask.]

          .OUTPUT TO RESULTS FILE, DOC. FILE, OR TERMINAL? (R/D/T): T
          [Output location.]

       If ouput is sent to a document file SPIDER asks:
          .DOCUMENT FILE: DOC000
          [Enter the name for the document file that gets the
           histogram output.]

NOTES:    1. A 128 bin histogram will be computed.  
          The following information will be printed out at the 
          user's terminal:

          '<PRE>'
          FILE RANGE:                     .........           
          HISTOGRAM RANGE:                .........           
          FILE PIXELS:                    HIST. PIXELS:       
          NO. OF BINS:                    BIN SIZE:      
          HIST. MEAN:                     HIST. MODE:       
          HIST. S.D.:             
          '</PRE>'

SUBROUTINE: HIST, GRAPHS

CALLER:     UTIL1
