
IA        Interface Area                                    IA
                                                            01/04/01

PURPOSE:  Computes the interfacial area between pixels/voxels having
          intensities that are at or above a solicited threshold and 
          pixels/voxels having intensities below the threshold.  Works 
          for both 2D and 3D.

SEE ALSO:  FV (Find threshold for Volume)

USAGE:    IA
          <or> '<BR>'
          IA X10,X11,X12,X13,X14,X15
          [Registers in order of position:             '<BR>'
                X10  Total number of pixels/voxels                '<BR>'
                X11  Number of pixels/voxels at or above threshold '<BR>'
                X12  interface area                               '<BR>'

          .INPUT FILE: PIC001
          [Enter the name of the image or volume.]

          .THRESHOLD LEVEL: 1.0
          [Threshold.]

NOTES: 1. Voxels/pixels  at the boundaries of the image/volume that
          are at-or-above the threshold will have a surface added
          at the boundary.

       2. Interface area is a count of the number of interfaces. 
          For 3D this is a count of number of square surfaces present
          at an interface.

SUBROUTINES: SURFAREA

CALLER:      UTIL6


