
LI D      List image values - in Document file                   LI D
                                                              12/7/02

PURPOSE:  Lists specified elements of a given file in document file.

SEE ALSO:  LI T   (List image values - on the terminal)
           LI     (List image values - in RESULTS file)
           LI X   (List pixel values - in registers)

USAGE:    LI D

          .INPUT FILE: PIC001
          [Enter name of file.]

          .OUTPUT DOC FILE: DOC000

          .HEADER, PIXEL, ROW, COLUMN, IMAGE, OR WINDOW (H/P/R/C/I/W) W
          [Enter 'H' for image header, 'P' for listing a pixel,
          'R' for listing row(s), 'C' for listing column(s), 
          'I' for listing a whole image, or 'W' for listing window 
          from an image]

       If "H" is chosen, SPIDER will ask:
          .ENTER HEADER POSITION(S): 1,2,3

       If "P" is chosen, SPIDER will ask:
          .ENTER COLUMN & ROW: 34 56

       If "R" is chosen, SPIDER will ask:
          .ENTER ROW(S): 1-4

       If "C" is chosen, SPIDER will ask:
          .ENTER COLUMN(S): 1-4

       If "I" is chosen and the input file is a volume, SPIDER will ask:
          .ENTER SLICE(S): 55

       If "W" is chosen, SPIDER will ask:
          .ENTER COLUMN(S): 20-30
          .ENTER ROW(S):    20-30

       If "H" is not chosen, and the input file contained 2-D Fourier 
       data, SPIDER will ask:

          .PHASE / MOD LISTING(Y/N)?: N
          [Enter 'N' for straight listing, 'Y' for phase/modulus
          listing.  For phase/modulus listing the output is 
          AMPLITUDE and PHASE. The phase is in degrees NOT in radians.]

          [The corresponding rows of PIC001 will then be listed,
          putting the information in the RESULTS file.  In the case
          of Fourier data, listed values are alternately real and
          imaginary parts of Fourier coefficients unless the phase/
          mod option is chosen, in which case listed values are
          alternately moduli and phases of the coefficients.]

NOTES: 1. Hyphens can be used to specify the row numbers.

       2. Doc file key is consecutive.  First register cantains
          value.  2nd register is column.  Third register is row.
          Fourth register is slice.


SUBROUTINES: LISTIT

CALLER:      UTIL1


