
MN S      MoNtage with individual Scaling                   MN S
                                                            5/10/96

PURPOSE:  Put image series into montage with individual scaling.

SEE ALSO: MN  (montage)

USAGE:    MN S

          .ENTER FILE PREFIX OR TEMPLATE (EG. PIC***): TER***
          [Enter file name template for the image series.]

          .ENTER FILE NUMBERS: 1-5,12-16,20-28,31-38
          [Enter numbers of files to be placed into montage.  All
           files must have same dimensions as the first file.]

          .NUMBER OF IMAGES PER ROW, MARGIN WIDTH: 5, 10
          [Enter number of images per row of the montage, and margin
          width between images and around outside.]

          .ENTER MARGIN VALUE: 0.5
          [Enter value to be put in margin areas and unused areas.]

          .OUTPUT FILE: MON001
          [Enter name of file to receive montage image.]

NOTES: 1. Each image is individually scaled.  Each image is rescaled 
          according to:                                        '<BR>'
             DNEW = (DOLD - FMIN) * 2./(FMAX - FMIN)           '<BR>'
          Consequently, the montage is scaled between 0.0 and  2.0.  
          Each image comes out with full contrast.

       2. This option should not be used if the individual images
          represent slices of a volume, since the interrelation
          between the dynamic ranges of the different slices gets
          lost.

       3. A maximum of 600 images total is permitted.

       4. There is no longer a limit on the number of images per row

SUBROUTINES: MONT

CALLER:      UTIL2
