NEG        Negate (invert contrast of) image                    NEG      
                                                               06/25/99

PURPOSE:  Performs arithmetic negation or contrast inversion of an
          image by multiplying each pixel value
          by -1.0 to create an output image.  Then adds the original
          image's maximum pixel value (FMAX) to each pixel so that 
          new image's minimum pixel value is now zero.
 
SEE ALSO: AR     (Arithmetic operation on an image)
          NEG A  (Negate an image while preserving average)

USAGE:    NEG

           .INPUT FILE: PIC001
           [Enter the name of the input image.]
 
           .OUTPUT FILE: PIC002
           [Enter the name of the output image.]
 
SUBROUTINE: NEGATE
 
CALLER:     UTIL4




