
PJ 3      ProJect - 3D volume                                  PJ 3    
                                                            11/09/04

PURPOSE:  Computes a projection of a volume according
          to three Eulerian angles. 

SEE ALSO: PJ 3Q    
          PJ 3O  
          PJ AT   
          PJ CYL   

USAGE:    PJ 3

          .INPUT FILE: PIC001
          [Enter the name of the file whose projection is to be
          computed. This should be a cube! ]
       
          .PROJECTION SAMPLE DIM.: 110, 78
          [Enter the X dimension and (optional) Y dimension 
          for the projection file. If the Y dimension = 0 then 
          the Y dimension is chosen such that the X/Y ratio in the 
          projection is the same as in the volume. Arbitrary 
          dimensions can be used.]

          .OUTPUT FILE: PRJ001
          [Enter the name of the file where the projection is to be
          stored.]

          .PHI, THETA, PSI: 45.5, 27.2, -30.0
          [Enter the phi, theta & psi angles, in degrees. 
          '<b'> Note that order of angles differs from most other 
          SPIDER uses.'</b>']

NOTES:    1. Warning.  Projection through a volume containing both
             negative and positive numbers may not give the
             results you are expecting?

          2. Improved anti-aliasing Sept 2003. For old version use
             'PJ 3 0'

SUBROUTINES: PJ3_N

CALLER:      VTIL2


