PO        Convert an image to polar coordinates representation.      PO
                                                              10/08/00

PURPOSE:  Convert a rectangular image to polar coordinates representation.

USAGE:    PO

          .INPUT FILE: PIC001
          [Enter the name of the file to be converted.]

          .OUTPUT FILE: MAC001
          [Enter name of the file which will contain polar coordinates
           representation of the input image.]

          .INNER AND OUTER RADIUS: 5,50
          [Only section of the image between inner and outer rdaius specified
           will be converted to polar coordinates.  Thus, in the output image,
           first line will correspond to the inner radius specified, the last
           line will correspond to the outer radius.  Altogether, the output
           image will contain (OUTER RADIUS)-(INNER RADIUS) + 1 lines.
           The length of each lines will be (OUTER RADIUS) * 2 * PI.
           Each line is mulitiplied (weighted) by the square root its radius.
           Thus, when when polar images are compared using CC P command,
           the result is correct.]

          .(F)ULL OR (H)ALF CIRCLE: F
          [F - convert whole circles; H - convert only half of each circle.
           Option H is appropriate when aurocorrelation images or power
           spectra are converted.]

NOTES:  1.  Implemented by Paul Penczek.

SUBROUTINES: TO_POLAR

CALLER:      DRIV1
