
SU        SUbtract                                          SU      
                                                            2/24/03

PURPOSE:  Subtracts one or more images or volumes from first 
          input iamge.

SEE ALSO: AD (Add IMAGES)

USAGE:    SU

          .INPUT FILE: PIC001
          [Enter the name of the file from which the following
          files are to be subtracted. (Header
           positions from this file are transferred to output.)]

          .SUBTRACTED FILE: PIC002
          [Enter the name of the file to be subtracted from the
          first file. Can be same as the first input file.]

          .OUTPUT FILE: PIC999
          [Enter the name of the output file. Can be same as
           either input file.]

   The system continues:

          .SUBTRACTED FILE: PIC003
          [Enter a '*' if no more subtractions are desired.]

          [PIC002 is subtracted from PIC001, and the result is
          kept in PIC999.  PIC003 is then subtracted from the new
          PIC001, and the result is again put into PIC999.]

NOTES: 1. 'SU' may only be used for files with identical
           dimensions.

       2.  For use in a proceedure you can use the following
           set of operations:

         '<PRE>'
         BL       ; create blank output file
         out999   ; output file name
         64 64    ; dimensions of output file (same as input!)
         N        ; do not use average
         0.0      ; image value
         ;
         DO LB1 X11=1,4
            SU            ; subtract files operation 
            inp{***X11}   ; input file
            out999        ; second input file 
            out999        ; output file
            *             ; this input ended
         LB1
         '</PRE>'

SUBROUTINES: ADD

CALLER:      UTIL2
