
WA        Warp an image/volume                            WA 
                                                          4/2/04

PURPOSE:  Three pass three dimensional mesh warping generalized to three
          dimensions starting from two dimensional algorithm in Wolberg.  

SEE ALSO:   

USAGE:    WA

          .WARP COORDINATES DOC FILE: DOCWARP
          [Doc. file needs a comment key: 1 with x, y,& z dimensions of the 
           warping specifications follwed by the image x, y, & z size.e.g.:'<br>'
           ;  1 7  666.00 5.0000 5.0000 3.0000 509.00 509.00 175.00  '<br>'
          The comment key is followed by  x*y*z lines containing the 
          coordinates for input points and corresponding location in the
          output file.] 

          .INPUT FILE: VOL001
          [Enter name of the input image/volume.]

          .OUTPUT FILE: VOL002
          [Enter name for output image/volume.]
       

NOTES: 1.  The warping coordinates must have each dimension >= 3.

       2.  Reference: George Wolberg, Digital Image Warping,  1994,  ISBN:0818689447 
           Publisher: IEEE Computer Society Press   Los Alamitos, CA, USA  (has
           several bugs in the source code there!)

       3.  Implemented by: ArDean Leith

       3.  See '<a HREF='"'../volcor'"'>'Volume Correlation'</s>' for instructions
           on how to make a 'WARP COORDINATES DOC FILE' from two similar 
           volumes.

SUBROUTINES: WARP3, AKIMA

CALLER:      DRIV2

